'use strict';if(window.webhelp===undefined)window.webhelp={};window.webhelp.toc=[{"title":"About this Guide","url":"g_about-this-guide.html","description":"Control and User Plane Separation (CUPS) represents a significant architectural change in the way StarOS-based products are deployed in the 3G, 4G, and 5G networks. This document provides information","children":[{"title":"Conventions Used","url":"r_conventions-used.html","description":"The following tables describe the conventions used throughout this documentation. Notice Type Description Information Note Provides information about important features or instructions. Caution Alert"}]},{"title":"5G Architecture","url":"g_5g-architecture-wrapper.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature_summary_and_revision_history_2_3.html","children":[{"title":"Summary Data","url":"r_summary_data.html","description":"Summary Data Applicable Product(s) or FunctionalArea PCF SMF UPF Applicable Platform(s) SMI Feature Default Setting Not Applicable Related Documentation Not Applicable"},{"title":"Revision History","url":"r_revision_history_2_3.html","description":"Revision History Revision Details Release First introduced. Pre-2020.02.0"}]},{"title":"Overview","url":"r_overview_2.html","description":"The Ultra Cloud Core is Cisco\u0027s solution supporting 3GPP\u0027s standards for 5G new radio (NR) standalone (SA) mode. These standards define various network functions (NFs) based on the separation of cont","children":[{"title":"Control Plane Network Functions","url":"r_control_plane_nfs.html","description":"The CP-related NFs that comprise the Ultra Cloud Core are based on a common architecture designed around the following tenants: Cloud-scale \u2014 Fully virtualized for simplicity, speed, and flexibility "},{"title":"User Plane Network Function","url":"r_user_plane_nf.html","description":"The 5G UP NF within the Ultra Cloud Core is the User Plane Function. Unlike the CP-related NFs, the 5G UPF leverages the same Vector Packet Processing (VPP) technology currently in use by the user pl"}]},{"title":"Subscriber Microservices Infrastructure Architecture","url":"r_subscriber_microservices_infrastructure_architecture.html","description":"The Ultra Cloud Core Subscriber Microservices Infrastructure (SMI) is a layered stack of cloud technologies that enable the rapid deployment of, and seamless life-cycle operations for microservices-b"},{"title":"Control Plane Network Function Architecture","url":"r_control_plane_network_function_architecture.html","description":"CP NFs are designed around a three-tiered architecture that take advantage of the stateful/stateless capabilities afforded within cloud native environments. The architectural tiers are as follows: Pr"}]},{"title":"5G-UPF Overview","url":"g_upf-overview.html","description":"This chapter covers the following topics:","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29.html","description":"Summary DataApplicable Product(s) or Functional Area5G-UPFApplicable Platform(s) VPC-SI Feature Default SettingDisabled \u2013 License RequiredRelated Changes in this ReleaseNot Applicable Related Documen"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21.html","description":"Revision History Revision Details Release First introduced.2020.02.0"}]},{"title":"Product Description","url":"r_product-description.html","description":"The User Plane Function (UPF) is one of the network functions (NFs) of the 5G core network (5GC). The UPF is responsible for packet routing and forwarding, packet inspection, QoS handling, and extern"},{"title":"Use Cases and Features","url":"r_use-cases-and-features.html","children":[{"title":"Configuration and Deployment Requirement for UPF","url":"r_configuration-deployment-requirement-for-upf.html","description":"With 5G deployment, interoperability is required between Cisco UPF with non-Cisco SMF, and Cisco SMF with non-Cisco UPF. Also, decoupling of configuration-related messaging between SMF and UPF has th"},{"title":"Anchor Point for Intra-RAT and Inter-RAT Mobility","url":"r_anchor-point-for-intra-inter-rat-mobility.html","description":"The UPF is the anchor point between the mobile infrastructure and the Data Network (DN). That is, the encapsulation and decapsulation of GPRS Tunneling Protocol for the User Plane (GTP-U). Intra-RAT "},{"title":"External PDU Session Point of Interconnect to Data Network","url":"r_external-pdu-session-point-of-interconnect-to-data-network.html","description":"The UPF acts as an external PDU session point of interconnect to Data Network and supports N3, N4, and N6 interfaces. The PDU layer corresponds to the PDU that is transported between the UE and the P"},{"title":"Packet Inspection","url":"r_packet-inspection.html","description":"The Cisco UPF performs L3/L4 and L7 inspection for the user traffic that is received. L3/L4 inspection involves IP-address/port matching and Deep Packet Inspection involves matching of L7 header fiel"},{"title":"User Plane Part of Policy Rule Enforcement","url":"r_user-plane-part-of-policy-rule-enforcement.html","description":"Cisco UPF provides different enforcement mechanisms based on policy received from the SMF. The UPF is the boundary between the Access and IP domains and is the ideal location to implement policy-base"},{"title":"Lawful Intercept","url":"r_lawful-intercept.html","description":"Lawful Interception (LI) enables a LEA to perform electronic surveillance on an individual (a target) as authorized by a judicial or administrative order. To facilitate the lawful intercept process, "},{"title":"Traffic Usage Reporting (Charging)","url":"r_traffic-usage-reporting-charging.html","description":"The usage measurement and reporting function in UPF is controlled by the SMF. The SMF controls these functions by: Creating the necessary PDRs to represent the service data flow, application, bearer "},{"title":"QoS Handling for User Plane","url":"r_qos-handling-for-user-plane.html","description":"The 5G QoS model allow classification and differentiation of specific services, based on subscription-related and invocation-related priority mechanisms. These mechanisms provide abilities such as in"},{"title":"Downlink Packet Buffering and Data Notification Triggering","url":"r_downlink-packet-buffering.html","description":"A Buffering Action Rule (BAR) provides instructions to control the buffering behavior of the UPF. The BAR controls the buffering behavior for all Forwarding Action Rules (FARs) of the Packet Forwardi"},{"title":"Forwarding End Markers to the Source NG-RAN Node","url":"r_end-markerto-the-source-ng-ran-node.html","description":"At the time of the handover procedure, the PDU session for the UE \u2013 which comprises of UPF node \u2013 acts as a PDU session anchor and an intermediate UPF terminating N3 reference point. The SMF sends an"},{"title":"MVNO Support","url":"r_mvno-support.html","description":"The UPF provides support for an enterprise MVNO model. A mobile network operator can perform secondary authentication for the leased MVNO subscribers and also support any additional features related "}]},{"title":"Deployment Architecture and Interfaces","url":"r_deployment-architecture-and-interfaces.html","description":"Cisco UPF is part of the 5GC network functions portfolio (AMF/SMF/NRF/PCF/NSSF/UPF) with a common Mobile Core Platform architecture.","children":[{"title":"UPF Architecture","url":"r_upf-architecture.html","description":"The User Plane Function (UPF) is a fundamental component of a 3GPP 5G core infrastructure system architecture. The UPF represents the data plane evolution of a Control and User Plane Separation (CUPS"},{"title":"UPF Deployment Architecture","url":"r_upf-deployment.html","description":"The following diagram illustrates, at a high-level, the deployment architecture of UPF along with other NFs. Virtualized Packet Core\u2014Single Instance (VPC-SI) VPC-SI consolidates the operations of phy"},{"title":"Supported Interfaces","url":"r_supported-interfaces.html","description":"This section describes the interfaces supported between the UPF and other network functions in 5GC. N3: Interface between the RAN (gNB) and the (initial) UPF; compliant with 3GPP TS 29.281 and 3GPP T"}]},{"title":"License Information","url":"r_license-information.html","description":"The UPF require specific license(s). Contact your Cisco account representative for more information on how to obtain a license."},{"title":"Standards Compliance","url":"r_standards-compliance_2_3_4.html","description":"Cisco UPF complies with the following standards: Interface between the Control Plane and the User Plane Nodes: 3GPP TS 29.244 version 15.4.0. (December-2018) General Packet Radio System (GPRS) Tunnel"}]},{"title":"UCC 5G UPF - Release Change Reference","url":"g_ucc-5g-upf-rcr-wrapper.html","children":[{"title":"Features and Behavior Change Quick Reference","url":"r_features-and-behavior-change-quick-ref.html","description":"Features / Behavior Changes Release Introduced / Modified Changing UPF State from Pending-Active to Active 2021.02.0 Charging Support 2021.02.0 Configuring RCM through Network Services Orchestrator 2"},{"title":"Feature Defaults Quick Reference","url":"r_feature-defaults-quick-reference.html","description":"The following table indicates what features are enabled or disabled by default. Feature Default Changing UPF State from Pending-Active to Active Disabled - Configuration Required Charging Support Dis"},{"title":"Changing UPF State from Pending-Active to Active","url":"r_pending-active-to-active.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20.html","description":"Applicable Product(s) or Functional Area5G-UPFApplicable Platform(s)VPC-SIFeature Default SettingDisabled \u2013 Configuration RequiredRelated Changes in this ReleaseNot ApplicableRelated DocumentationNot"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13.html","description":"Revision DetailsRelease Support is added for the following functionality: Zero Accounting Loss in User Plane Function Early PDU Recovery Session Prioritization during Recovery Configuration to change"}]},{"title":"Feature Description","url":"r_feature-desc_pending-active-to-active.html","description":"The UPF chassis can turn into Pending-Active state for one of the following reasons: When Sx/N4 heartbeat times out during SMF upgrade, the Sx/N4 connection is teared down. So, Sx/N4 monitoring failu"}]},{"title":"Charging Support","url":"r_charging-support.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32.html","description":"Summary DataApplicable Product(s) or Functional Area5G-UPFApplicable Platform(s)VPC-SIFeature Default SettingDisabled - Configuration RequiredRelated Changes in this ReleaseNot ApplicableRelated Docu"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22.html","description":"Revision HistoryRevision DetailsRelease The feature is enhanced to support following functionality: PTT no-quota Limited Pass PTT quota exhaust Limited Pass Tariff Time TCP Maximum Segment Size 2021."}]},{"title":"Feature Description","url":"r_feature-desc-charging-support.html","description":"The Charging Support feature has been enhanced to support the following functionalities: PTT no-quota Limited Pass PTT quota exhaust Limited Pass Tariff Time TCP Maximum Segment Size For more informa"}]},{"title":"Configuring RCM through Network Services Orchestrator","url":"r_configuring-rcm-through-nso.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6.html","description":"Summary Data Applicable Product(s) or Functional Area 5G-UPF Applicable Platform(s) VPC-SI Feature Default Setting Disabled \u2013 Configuration Required Related Changes in this Release Not Applicable Rel"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25.html","description":"Revision HistoryRevision DetailsRelease Support has been added to defer SSH IP installation. 2021.02.2 Support has been added for configuring the RCM through Network Services Orchestrator (NSO). 2021"}]},{"title":"Feature Description","url":"r_feature-desc-configuring-rcm-through-nso.html","description":"Redundancy of UPs is achieved through RCM. Currently, the UPs are configured from RCM and the redundancy module is also managed by RCM. RCM uses a String-based configuration approach to configure the"}]},{"title":"Cybersecurity ATP Support in UPF","url":"r_cybersecurity-atp.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history-cybersec-atp.html","children":[{"title":"Summary Data","url":"r_summary-data-cybersec-atp.html","description":"Summary Data Applicable Product(s) or Functional Area 5G-UPF Applicable Platform(s) VPC-SI Feature Default Setting Enabled - Always-on Related Changes in this Release Not Applicable Related Documenta"},{"title":"Revision History","url":"r_revision-history-cybersec-atp.html","description":"Revision HistoryRevision DetailsRelease First introduced. This is a customer-specific feature. For more information, contact your Cisco Account representative. 2021.02.0"}]},{"title":"Feature Description","url":"r_feature-desc-cybersecurity-atp.html","description":"Cisco 5G-UPF supports customer-specific Cybersecurity Advanced Threat Protection (ATP). The 5G-UPF complies with the following standards: 3GPP TS 33.117 V16.6.0: 3rd Generation Partnership Project Te"}]},{"title":"Deferring SSH IP Installation","url":"r_deferring-ssh-ip-installation.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history-deferring-ssh.html","children":[{"title":"Summary Data","url":"r_summary-data-deferring-ssh.html","description":"Applicable Product(s) or Functional Area 5G-UPF Applicable Platform(s) VPC-SI Feature Default Setting Disabled - Configuration Required Related Changes in this Release Not Applicable Related Document"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_2.html","description":"Revision HistoryRevision DetailsRelease Support has been added to defer SSH IP installation. 2021.02.2 Support has been added for configuring the RCM through Network Services Orchestrator (NSO). 2021"}]},{"title":"Feature Description","url":"r_feat-desc-deferring-ssh-ip-installation.html","description":"After UPF is up, the Day-0.5 configuration is executed on UPF. When UPFs register with RCM, the Controller pushes the hostID and SSH IP to UPF along with the state. The SSH IP received may get config"}]},{"title":"Device ID in EDNS0 Records","url":"r_device-id-edns0-records.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature_summary_and_revision_history_2.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14.html","description":"Summary Data Applicable Product (s) or Functional Area 5G-UPF Applicable Platforms VPC-SI Feature Default Setting Disabled \u2013 Configuration Required Related Changes in this Release Not Applicable Rela"},{"title":"Revision History","url":"r_revision_history.html","description":"Revision History Revision Details Release TCP support is added. 2021.02.1 First introduced. 2021.01.2"}]},{"title":"Feature Description","url":"r_feature-desc-device-id-edsn0-records.html","description":"The Device ID in EDNS0 Records allows each enterprise with a customized domain-blocking functionality through Umbrella. To enable this functionality: The UPF must reformat a subscriber DNS request in"}]},{"title":"Disabling UDP Checksum","url":"r_disabling-udp-checksum.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32_33.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8.html","description":"Summary Data Applicable Product(s) or Functional Area 5G-UPF Applicable Platform(s) VPC-SI Feature Default Setting Enabled \u2013 Always-on Related Changes in this Release Not Applicable Related Documenta"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24.html","description":"Revision HistoryRevision DetailsRelease Optimization of UDP checksum is added in this release. 2021.02.0 First introduced 2020.02.0"}]},{"title":"Feature Description","url":"r_feature-desc_disabling-udp-checksum.html","description":"This functionality disables the UDP checksum in UDP header of the GTP-U packet. The value of the UDP checksum is set to zero. Use the following configuration to disable the UDP checksum in UDP header"}]},{"title":"Display FAR, URR, and PDR Count Received over N4 Interface","url":"r_display-far-urr-count-received-over-n4-interface.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history-cybersec-atp_2.html","children":[{"title":"Summary Data","url":"r_summary-data-cscvz59790.html","description":"Applicable Product(s) or Functional Area 5G-UPF Applicable Platform(s) VPC-SI Feature Default Setting Enabled \u2013 Always-on Related Changes in this Release Not Applicable Related Documentation UCC 5G U"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20.html","description":"Revision DetailsRelease show user-plane-service statistics all command has been enhanced to display PFCP IEs received in Sx Establishment or Modification messages over N4 interface. 2021.02.2 PDN Upd"}]},{"title":"Feature Changes","url":"r_feature-changes-cscvz59790.html","description":"Previous Behavior: The show user-plane-service statistics all CLI command does not display the PFCP IEs received in Sx Establishment or Sx Modification messages. New Behavior: The show user-plane-ser"}]},{"title":"Downlink Data Notification","url":"r_downlink-data-notification.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7.html","description":"Applicable Product(s) or Functional Area5G-UPFApplicable Platform(s)VPC-SIFeature Default SettingDisabled \u2013 Configuration RequiredRelated Changes in this ReleaseNot ApplicableRelated DocumentationUCC"},{"title":"Revision History","url":"r_revisin_history_2_3_4_5.html","description":"Revision Details Release First introduced. 2021.02.0"}]},{"title":"Feature Description","url":"r_feature-desc-downlink-data-notification.html","description":"The Downlink Data Notification (DDN) is supported in 5G-UPF. The functionality includes the support for: DDN Delay and DDN Throttling Buffering in SAEGW when UE is in Idle State For more information,"}]},{"title":"DSCP Marking for Collapsed Call","url":"r_dscp-marking.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature_summary_and_revision_history.html","description":"Summary Data Applicable Product (s) or Functional Area 5G-UPF Applicable Platforms VPC-SI Feature Default Setting Disabled \u2013 Configuration Required Related Changes in this Release Not Applicable Rela","children":[{"title":"Feature Description","url":"r_feature-desc_dscp-marking.html","description":"The QCI-based DSCP markings are applicable for Pure-S and Pure-P calls. The DSCP markings are based on QCI-QOS-Mapping associated with respective S-GW service or P-GW service. For collapse calls, QCI"}]}]},{"title":"Indirect Forwarding Tunnel","url":"r_idft-support.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17.html","description":"Summary Data Applicable Product (s) or Functional Area 5G-UPF Applicable Platforms VPC-SI Feature Default Setting Disabled \u2013 Configuration Required Related Changes in this Release Not Applicable Rela"},{"title":"Revision History","url":"r_revisin_history-1.html","description":"Revision DetailsRelease First introduced 2021.02.0"}]},{"title":"Indirect Forwarding Tunnel","url":"r_feature-desc_idft-support.html","description":"The UPF supports Indirect Forwarding Tunnel (IDFT) procedures for creation and deletion, which are applicable for Pure-S and Collapsed calls with dedicated bearers. This feature is applicable for IDF"}]},{"title":"Invoking NSO Registration Notification","url":"r_invoking-nso-registration-notification.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history-cscvz15000.html","children":[{"title":"Summary Data","url":"r_summary-data-cscvz15000.html","description":"Applicable Product(s) or Functional Area 5G-UPF Applicable Platform(s) VPC-SI Feature Default Setting Disabled \u2014 Configuration Required Related Changes in this Release Not Applicable Related Document"},{"title":"Revision History","url":"r_revision-history-cscvz15000.html","description":"Revision Details Release First introduced. 2021.02.2"}]},{"title":"Feature Changes","url":"r_feature-changes-cscvz15000.html","description":"UPF redeployment needs Registration notification from RCM toward NSO. In production environment where DeploymentMode flag is set to FALSE, only Config-Push notification is sent from RCM toward NSO wh"},{"title":"Command Changes","url":"r_command-changes-cscvz15000.html","description":"Use the following executable mode CLI command in RCM to send a Registration notification towards NSO when the specified UPF boots in deployment environment with Deployment Mode flag set to FALSE. rcm"}]},{"title":"IP Readdressing","url":"r_ip-readdressing.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13.html","description":"Applicable Product(s) or Functional Area5G-UPFApplicable Platform(s)VPC-SIFeature Default SettingDisabled \u2013 Configuration RequiredRelated Changes in this ReleaseNot ApplicableRelated DocumentationUCC"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18.html","description":"Revision Details Release Support has been added for the following functionality: IP Readdressing RTP Dynamic Flow Detection Rule-matching for Bearer-specific Filters QUIC IETF implementation 2021.02."}]},{"title":"Feature Description","url":"r_feature-desc_ip-readdressing.html","description":"The IP Readdressing feature enables redirecting unknown gateway traffic based on the destination IP address of the packets to known/trusted gateways. IP Readdressing is configured in the flow action "}]},{"title":"LTE - Wi-Fi Seamless Handover","url":"r_lte-to-wifi-seamless-ho.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25.html","description":"Applicable Product(s) or Functional Area5G-UPFApplicable Platform(s)VPC-SIFeature Default SettingEnabled - Always-onRelated Changes in this ReleaseNot ApplicableRelated DocumentationNot Applicable"},{"title":"Revision History","url":"r_revisin_history.html","description":"Revision Details Release First introduced. 2021.02.0"}]},{"title":"Feature Description","url":"r_feature-desc-lte-to-wifi-seamless-ho.html","description":"Seamless handover between LTE and Wi-Fi (S2b) is supported in the 5G-UPF for UEs that need continuity with their ongoing data session. For more information, refer to the UCC 5G UPF Configuration and "}]},{"title":"Monitor Subscriber","url":"r_mon-sub.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4.html","description":"Summary Data Applicable Product (s) or Functional Area 5G-UPF Applicable Platforms VPC-SI Feature Default Setting Disabled \u2013 Configuration Required Related Changes in this Release Not Applicable Rela"},{"title":"Revision History","url":"r_revisin_history_2_3.html","description":"Revision Details Release In this release, enhancement related to MonSub CLI, subscriber tracing limits, packet processing throughput, PCAP success and, error code notifications are added to this feat"}]},{"title":"Feature Description","url":"r_feature-desc_mon-sub.html","description":"The Monitor Subscriber (MonSub) feature enables tracing of subscriber related information which includes user and control traffic, and events such as charging and internal events that are useful for "}]},{"title":"Multiple cnSGW Support","url":"r_multiple-cnsgw.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15.html","description":"Summary Data Applicable Product (s) or Functional Area 5G-UPF Applicable Platforms VPC-SI Feature Default Setting Disabled \u2013 Configuration Required Related Changes in this Release Not Applicable Rela"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23.html","description":"Revision Details Release First introduced. 2021.02.0"}]},{"title":"Feature Description","url":"r_feature-desc_multiple-cnsgw.html","description":"The Multiple cnSGW Support feature enables a single UPF to establish multiple N4/Sx interfaces with cnSGWs and their paired SMFs. Integration of multiple SMF and cnSGW combination with a single UPF r"}]},{"title":"New Standard QCI Support","url":"r_new-standard-qci-support.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32_33_34_35.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16.html","description":"Summary Data Applicable Product(s) or Functional Area 5G-UPF Applicable Platform(s) VPC-SI Feature Default Setting Enabled \u2013 Always-on Related Changes in this Release Not Applicable Related Documenta"},{"title":"Revision History","url":"r_revisin_history_2_3_4_5_6.html","description":"Revision Details Release First introduced. 2021.02.0"}]},{"title":"Feature Description","url":"r_feature-desc-new-standard-qci-support.html","description":"The 5G-UPF supports new standard QoS Class Index (QCIs) based on 3GPP TS 23.203 Release 12, for Mission Critical and Push-to-Talk (MC/PTT) applications. For more information, refer to the UCC 5G UPF "}]},{"title":"PDN Update Procedure - eNodeB F-TEIDu","url":"r_pdn-update-procedure.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19.html","description":"Summary DataApplicable Product(s) or Functional Area5G-UPFApplicable Platform(s) VPC-SI Feature Default SettingEnabled \u2013 Always-onRelated Changes in this ReleaseNot ApplicableRelated DocumentationNot"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_2.html","description":"Revision DetailsRelease show user-plane-service statistics all command has been enhanced to display PFCP IEs received in Sx Establishment or Modification messages over N4 interface. 2021.02.2 PDN Upd"}]},{"title":"Feature Description","url":"r_feature-desc-pdn-update-procedure.html","description":"A procedure to initiate an N4/Sx Modification Request message for S-GW or SAEGW is implemented for the following: eNodeB F-TEIDu update Release Access Bearer (RAB) Request for an eNodeB release For m"}]},{"title":"QUIC IETF Support","url":"r_quic-ietf.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_2.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_2.html","description":"Applicable Product(s) or Functional Area5G-UPFApplicable Platform(s)VPC-SIFeature Default SettingDisabled \u2013 Configuration RequiredRelated Changes in this ReleaseNot ApplicableRelated DocumentationUCC"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_2.html","description":"Revision Details Release Support has been added for the following functionality: IP Readdressing RTP Dynamic Flow Detection Rule-matching for Bearer-specific Filters QUIC IETF implementation 2021.02."}]},{"title":"Feature Description","url":"r_feature-desc-quic-ietf.html","description":"The QUIC IETF support is added in P2P plugin to decrypt and obtain the Server Name Indication (SNI) for detection. For more information, refer to the UCC 5G UPF Configuration and Administration Guide"}]},{"title":"Rule-matching for Bearer-specific Filters","url":"r_rule-matching-for-bearer-specific-filters_2.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_3.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_3.html","description":"Applicable Product(s) or Functional Area5G-UPFApplicable Platform(s)VPC-SIFeature Default SettingDisabled \u2013 Configuration RequiredRelated Changes in this ReleaseNot ApplicableRelated DocumentationUCC"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_3.html","description":"Revision Details Release Support has been added for the following functionality: IP Readdressing RTP Dynamic Flow Detection Rule-matching for Bearer-specific Filters QUIC IETF implementation 2021.02."}]},{"title":"Feature Description","url":"r_feature-desc-rule-matching-for-bearer-specific-filters.html","description":"The Rule-matching for Bearer-specific Filters functionality includes: IMSI-based rules that are matched as per the subscribers IMSI. APN-based rules that allows you to define rule expressions to matc"}]},{"title":"Session Prioritization during Recovery","url":"r_session-prioritisation-during-recovery.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_2.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_2.html","description":"Applicable Product(s) or Functional Area5G-UPFApplicable Platform(s)VPC-SIFeature Default SettingDisabled \u2013 Configuration RequiredRelated Changes in this ReleaseNot ApplicableRelated DocumentationNot"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_2.html","description":"Revision DetailsRelease Support is added for the following functionality: Zero Accounting Loss in User Plane Function Early PDU Recovery Session Prioritization during Recovery Configuration to change"}]},{"title":"Feature Description","url":"r_feature-desc_session-prioritisation-during-recovery.html","description":"As part of Session Prioritisation during Recovery functionality, a separate skiplist is maintained only for priority calls so that these records can be sent from AAAMgr immediately without going thro"}]},{"title":"Session Report Rejection Procedure","url":"r_session-report-rejection-procedure.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10.html","children":[{"title":"Summary Data","url":"r_feature-summary.html","description":"Applicable Product(s) or Functional Area 5G-UPF Applicable Platform(s) VPC-SI Feature Default Setting Enabled \u2013 Always-on Related Changes in this Release Not Applicable Related Documentation UCC 5G S"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8.html","description":"Revision Details Release First introduced. 2021.02.0"}]},{"title":"Feature Description","url":"r_feature-desc_session-report-rejection-procedure.html","description":"The SMF rejects the UPF-originated Session Report Request with a specific cause code during any mismatch in the charging configuration of SMF and UPF. For any session report rejection by the SMF, the"}]},{"title":"TCP Maximum Segment Size","url":"r_tcp-mss.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_2.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32_2.html","description":"Summary DataApplicable Product(s) or Functional Area5G-UPFApplicable Platform(s)VPC-SIFeature Default SettingDisabled - Configuration RequiredRelated Changes in this ReleaseNot ApplicableRelated Docu"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_2.html","description":"Revision HistoryRevision DetailsRelease The feature is enhanced to support following functionality: PTT no-quota Limited Pass PTT quota exhaust Limited Pass Tariff Time TCP Maximum Segment Size 2021."}]},{"title":"Feature Description","url":"r_feature-desc_tcp-mss.html","description":"TCP IP Stack always inserts Maximum Segment Size (MSS) field in the header. This causes difference in MSS insertion behavior with and without TCP Proxy. Using tcp mss configurations, TCP MSS can be l"}]},{"title":"WiFi to LTE Handover for Converged UPF","url":"r_wifi-to-lte-ho-for-converged-upf.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31.html","description":"Summary Data Applicable Product(s) or Functional Area 5G-UPF Applicable Platform(s) VPC-SI Feature Default Setting Disabled \u2013 Configuration Required Related Changes in this Release Not Applicable Rel"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12.html","description":"Revision History Revision Details Release Support added for WiFi to LTE handover, and configuration to enable Converged Datapath feature at UPF. 2021.02.0 First introduced. 2021.01.0"}]},{"title":"Feature Description","url":"r_feature-desc_wifi-to-lte-ho-for-converged-upf.html","description":"Support is added for WiFi to LTE handover and configuration to enable Converged Datapath feature at UPF. For more information, refer to the UCC 5G UPF Configuration and Administration Guide > Converg"}]},{"title":"Zero Accounting Loss and Early PDU Recovery","url":"r_zero-accounting-loss-and-early-pdu-recovery.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_3.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_3.html","description":"Applicable Product(s) or Functional Area5G-UPFApplicable Platform(s)VPC-SIFeature Default SettingDisabled \u2013 Configuration RequiredRelated Changes in this ReleaseNot ApplicableRelated DocumentationNot"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_3.html","description":"Revision DetailsRelease Support is added for the following functionality: Zero Accounting Loss in User Plane Function Early PDU Recovery Session Prioritization during Recovery Configuration to change"}]},{"title":"Feature Description","url":"r_feature-desc_zero-accounting-loss-and-early-pdu-recovery.html","description":"Zero Accounting Loss for User Plane Function Zero accounting loss feature is implemented on User Plane Function (UPF) so that accounting-data/billing loss is reduced from 18 seconds, which is the def"}]}]},{"title":"Features and Functionality","url":"g_part1-upf.html","children":[{"title":"1:1 Redundancy","url":"g_upf-1-1-redundancy.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_4.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_4.html","description":"Applicable Product(s) or Functional Area5G-UPFApplicable Platform(s)VPC-SIFeature Default SettingDisabled \u2013 Configuration RequiredRelated Changes in this ReleaseNot ApplicableRelated DocumentationNot"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_4.html","description":"Revision DetailsRelease Support is added for the following functionality: Zero Accounting Loss in User Plane Function Early PDU Recovery Session Prioritization during Recovery Configuration to change"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9.html","description":"The 1:1 UPF Redundancy feature, for 5G deployment, supports the detection of a failed User Plane Function (UPF) and seamlessly handles the functions of the failed UPF. Each of the Active UPF has a de"},{"title":"How it Works","url":"r_how-it-works_2_3_4_5_6_7_8_9_10.html","description":"The 5G-UPF deployment leverages the ICSR framework infrastructure for checkpointing and switchover of the UPF node as shown in the following figure. The Active UPF communicates to its dedicated Stand"},{"title":"Configuring 1:1 UPF Redundancy","url":"r_configuring-4gcups-1-1-up-redundancy.html","description":"The following sections provide information about the CLI commands available in support of the feature.","children":[{"title":"Configuring BFD Monitoring Between Active UPF and Standby UPF","url":"r_configuring-bfd-monitor-on-active-standby-up.html","description":"Use the following configuration to configure Bidirectional Forwarding Detection (BFD) monitoring on the Active UPF and Standby UPF. Configure this command in the SRP Configuration Mode. configure con"},{"title":"Configuring BGP Status Monitoring Between Each UPF and Next-Hop Router","url":"r_configuring-bgp-monitoring-on-active-standby-up.html","description":"Use the following commands to configure Border Gateway Protocol (BGP) monitoring between each UPF and next-hop router. The command is configured in the SRP Configuration Mode. configure context conte"},{"title":"Configuring Sx/N4 Monitoring on the Active UPF and Standby UPF","url":"r_configuring-sx-monitor.html","description":"Use the following configuration to configure Sx/N4 monitoring on the Active UPF and Standby UPF. This command is configured in the SRP Configuration Mode. configure context context_name service-redun"},{"title":"Configuring VPP Monitor on Active UPF and Standby UPF","url":"r_configuring-vpp-monitor-on-active-standby-ups.html","description":"Use the following configuration to configure Vector Packet Processing (VPP) monitor to trigger UPF switchover on the Active UPF if VPP goes down. This command is configured in the SRP Configuration M"},{"title":"Preventing User Plane Function Switchback","url":"r_preventing-up-switchback.html","description":"Use the following configuration to prevent the switchback of the new Standby UPF to Active state again due to Sx/N4 monitor failure in the new Active. configure context context_name service-redundanc"},{"title":"Preventing Dual Active Error Scenarios","url":"r_preventing-dual-active-error-scenarios.html","description":"Use the following CLI configuration in CP to prevent dual Active error scenarios for UPF 1:1 redundancy. configure user-plane-group group_name sx-reassociation disabled end NOTE: sx-reassociation dis"},{"title":"Resetting Sx/N4 Monitor Failure","url":"r_resetting-sx-monitor-failure.html","description":"Use the following configuration only on the Standby chassis to reset the Service Redundancy Protocol (SRP) Sx/N4 monitor failure information. This command is configured in the Exec Mode. srp reset-sx"},{"title":"Changing UPF State from Pending-Active to Active","url":"r_changing-upf-state-from-pending-active-to-active.html","description":"Use the following configuration to change the UPF chassis state from Pending-Active to Active. configure context context_name service-redundancy-protocol force-pactv-to-actv-timeout value_seconds NOT"}]},{"title":"Monitoring and Troubleshooting","url":"r_monitoring-and-troubleshooting_2_3_4.html","description":"This section provides information regarding the CLI command available in support of monitoring and troubleshooting the feature.","children":[{"title":"Show Command(s) and/or Outputs","url":"r_show-commands-and-or-outputs_2_3.html","description":"This section provides information regarding show commands and/or their outputs in support of this feature.","children":[{"title":"show srp monitor bfd","url":"r_show-srp-monitor-bfd.html","description":"The output of this CLI command contains the following fields for the 5G UPF 1:1 Redundancy feature: Type: (A) - Auth. probe (B) - BGP (D) - Diameter (F) - BFD (E) - EGQC (C) - Card (V) - VPP State: ("},{"title":"show srp monitor bgp","url":"r_show-srp-monitor-bgp.html","description":"The output of this CLI command contains the following fields for the 5G UPF 1:1 UPF Redundancy feature: Type: (A) - Auth. probe (B) - BGP (D) - Diameter (F) - BFD (E) - EGQC (C) - Card (V) - VPP (S) "},{"title":"show srp monitor sx","url":"r_show-srp-monitor-sx.html","description":"The output of this CLI command contains the following fields in support of Sx/N4 monitor status: Type: (A) - Auth. probe (B) - BGP (D) - Diameter (F) - BFD (E) - EGQC (C) - Card (V) \u2013 VPP (S) - SX St"},{"title":"show srp monitor vpp","url":"r_show-srp-monitor-vpp.html","description":"The output of this CLI command contains the following fields for the 5G UPF 1:1 UPF Redundancy feature: Type: (A) - Auth. probe (B) - BGP (D) - Diameter (F) - BFD (E) - EGQC (C) - Card (V) - VPP Stat"},{"title":"show srp statistics","url":"r_show-srp-statistics.html","description":"The output of this CLI command contains the following fields for the Sx/N4 Monitor\u2014Pending-Active functionality: Pending-active timer started Pending-active timer stopped Pending-active to Active for"}]}]}]},{"title":"APN ACL Support","url":"g_apn-acl-support.html","description":"This chapter covers the following topics:","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18.html","description":"Summary Data Applicable Product (s) or Functional Area 5G-UPF Applicable Platforms VPC-SI Feature Default Setting Enabled \u2013 Always-on Related Changes in this Release Not Applicable Related Documentat"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7.html","description":"Revision History Revision Details Release A configurable mechanism has been introduced to apply traffic classification and policy enforcement on selective subscriber sessions. 2021.01.0 First introdu"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10.html","description":"IP Access Lists, commonly known as Access Control Lists (ACLs), control the flow of packets into and out of the system. The configuration is per-context basis and consists of \u0022rules\u0022 (ACL rules) or f","children":[{"title":"Rule(s)","url":"r_rules.html","description":"A single ACL consists of one or more ACL rules. Each rule is a filter configured to take a specific action when packets match a specific criteria. Each rule specifies the action to take when a packet","children":[{"title":"Actions","url":"r_actions.html","description":"ACLs specify that one of the following actions can be taken on a packet that matches the specified criteria: Permit: The packet is accepted and processed for classification and policy enforcement. De"},{"title":"Criteria","url":"r_criteria.html","description":"Each ACL consists of one or more rules specifying the criteria that packets will be compared against. The following criteria are supported: Any: Filters all packets Host: Filters packets based on the"}]},{"title":"Rule Order","url":"r_rule-order.html","description":"A single ACL can consist of multiple rules. Each packet is compared against each of the ACL rules, in the order in which they were entered, until a match is found. Once a match is identified, all sub"},{"title":"Limitations","url":"r_limitations_2_3_4_5_6_7.html","description":"Following are the known limitations of APN ACL feature in UPF: Readdress option in ACL is not supported. Redirect ACL for context and next-hop is not supported. Log option is not supported in ACLs. A"},{"title":"Configuring ACL","url":"r_applying-an-aclto-multiple-subscriber-via-apns-2.html","description":"To apply the ACL to individual subscriber through via APN, use the following configuration:configure context dest_context_name [ -noconfirm ] { ip | ipv6 } access-list acl_list_name { permit | deny |","children":[{"title":"Verifying ACL Configuration","url":"r_verifying-acl-config.html","description":"Use the following CLI commands in Exec mode to check if your ACL lists were applied properly, and also for packet drops due to ACL: show subscriber user-plane-only full all show subscribers user-plan"}]}]},{"title":"IP Source Violation","url":"r_ip-source-violation.html","description":"Source validation requires the source address of incoming packets to match the IP address of the subscriber during the session. This allows operators to configure the network to prevent problems when"},{"title":"Gating Control","url":"r_gating-control.html","description":"Gating Control in the UPF enables or disables the forwarding of IP packets belonging to a service data flow or detected application\u0027s traffic to pass through to the desired endpoint. See 3GPP TS 23.2"}]},{"title":"APN AMBR Traffic Policing","url":"g_apn_ambr_traffic_policing.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16.html","children":[{"title":"Summary Data","url":"r_summary-data.html","description":"Summary Data Applicable Product (s) or Functional Area 5G-UPF Applicable Platforms VPC-SI Feature Default Setting Disabled \u2013 Configuration Required Related Changes in this Release Not Applicable Rela"},{"title":"Revision History","url":"r_revision_history_2.html","description":"Revision History Revision Details Release First introduced. 2021.01.0"}]},{"title":"Feature Description","url":"r_feature_description_2_3_4_5_6.html","description":"The APN-AMBR is a subscription parameter stored per APN in the HSS. S-GW provides APN-AMBR during default bearer establishment procedure. APN-AMBR limits the aggregate bit rate that can be expected t","children":[{"title":"Limitations","url":"r_limitations_2.html","description":"The token-replenishment-interval and violate-action shape CLI commands are not supported."}]},{"title":"Configuring the APN AMBR Traffic Policing Feature","url":"r_configuring_theapn_ambr_traffic_policing_feature.html","description":"This section describes how to configure the APN-AMBR Traffic Policing feature. configure context context_name apn apn_name apn-ambr rate-limit direction { downlink | uplink } [ burst-size { auto-read"},{"title":"Monitoring and Troubleshooting","url":"r_monitoring_and_troubleshooting_2_3_4_5.html","description":"This section provides information about the commands available to monitor and/or troubleshoot the APN-AMBR Traffic Policing feature.","children":[{"title":"Show Commands and/or Outputs","url":"r_show_commands_and_or_outputs_2.html","description":"This section provides information about the show commands available for monitoring and/or troubleshooting the APN-AMBR Traffic Policing feature. show user-plane-service pdn-instance name <apn_name> U"}]}]},{"title":"Bulk Statistics Support","url":"g_upf-bulk-statistics.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30.html","description":"Summary Data Applicable Product (s) or Functional Area 5G-UPF Applicable Platforms VPC-SI Feature Default Setting Enabled \u2013 Always-on Related Changes in this Release Not Applicable Related Documentat"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9.html","description":"Revision History Revision Details Release The following new bulk statistic schemas are now supported: P2P Schema Sx Schema System Schema Userplane Schema 2021.01.0 First introduced. 2020.02.0"}]},{"title":"Feature Description","url":"r_feature-description_2.html","description":"This chapter identifies bulk statistic schemas for the Cisco Ultra Cloud 5G User Plane Function (UPF) software release. Bulk statistics is a collection of software features and framework that collect"}]},{"title":"Charging Support","url":"g_upf-charging-support.html","description":"This chapter covers the following topics:","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_3.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32_3.html","description":"Summary DataApplicable Product(s) or Functional Area5G-UPFApplicable Platform(s)VPC-SIFeature Default SettingDisabled - Configuration RequiredRelated Changes in this ReleaseNot ApplicableRelated Docu"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_3.html","description":"Revision HistoryRevision DetailsRelease The feature is enhanced to support following functionality: PTT no-quota Limited Pass PTT quota exhaust Limited Pass Tariff Time TCP Maximum Segment Size 2021."}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8.html","description":"The usage measurement and reporting function in User Plane Function (UPF) is controlled by the Session Management Function (SMF). The SMF controls these functions by: Creating the necessary PDRs to r","children":[{"title":"Offline Charging Events Reporting over N4","url":"r_offline-charging-reporting-over-n4.html","description":"The User Plane Function (UPF) supports session-based offline charging, PDU session level reporting triggers in URR (volume and time threshold), PFCP session report procedure, and usage report IE supp"},{"title":"Online Charging Support over N4","url":"r_online-charging-support-over-n4.html","description":"The UPF supports flow-based online charging support, which includes URR enhancements for Volume and Time quota and Usage reporting IE in PFCP modify response. In addition, the UPF supports online cha"}]},{"title":"How it Works","url":"r_how-it-works_2_3_4_5_6.html","children":[{"title":"Call Flows","url":"r_call-flows.html","description":"The following sections describe the call flows between SMF and UPF for PFCP Session Management.","children":[{"title":"PFCP Session Establishment Procedure","url":"r_pfcp-session-establishment-procedure.html","description":"The PFCP Session Establishment procedure establishes a PFCP session between SMF and UPF. It also configures rules in UPF for handling incoming packets. In addition, the SMF sends Create URR IE, which"},{"title":"PFCP Session Modification Procedure","url":"r_pfcp-session-modification-procedure.html","description":"The SMF uses the PFCP Session Modification procedure to modify an existing PFCP session on the UPF. For instance, configuring a new rule, modifying an existing rule, or deleting an existing rule, and"},{"title":"PFCP Session Reporting Procedure","url":"r_pfcp-session-reporting-procedure.html","description":"The UPF uses PFCP Session Reporting procedure to report information that is related to the PFCP session to the SMF (usage report IE). Once the threshold hits the volume, time or event measurement and"},{"title":"PFCP Session Deletion Procedure","url":"r_pfcp-session-deletion-procedure.html","description":"The PFCP Session Deletion procedure deletes an existing PFCP session between the SMF and UPF. The SMF initiates a PFCP Session Deletion procedure toward the UPF to delete an existing PFCP session. Th"},{"title":"IEs Supported for Offline Charging Reporting","url":"r_ies-supported-for-offline-charging-reporting.html","description":"The following trigger Information Elements (IEs) support offline charging Reporting over N4: Periodic Reporting \u2013 When this trigger is set, the UPF sends resource usage report periodically to Session"},{"title":"IEs Supported for Online Charging Reporting","url":"r_ies-supported-for-online-charging-reporting.html","description":"The following IEs support online charging: Volume Quota \u2013 The SMF requests the UPF to stop forwarding packets or allow forwarding some limited user plane traffic (based on the operator policy in UPF)"}]},{"title":"Usage Reporting in PFCP Modification Response","url":"r_usage-reporting-in-pfcp-modification-response.html","description":"The UPF sends session modification response after receiving session modification request based on the IEs received in the request message. The UPF includes usage report IE in the session modification"},{"title":"Usage Reporting for Online and Offline Charging","url":"r_usage-reporting-online-offline-chargin.html","description":"Usage Reporting for Online and Offline Charging is supported in the following ways: URR for online charging based on Rating-Group level even if the Service ID is present under Charging-Action. This b"},{"title":"Usage Reporting with Rating-Group and Service ID","url":"r_usage-reporting-with-rating-group-and-service-id.html","description":"The functionality enables usage reporting to the SMF with the Rating-Group (RG) and/or Service ID (SI) populated in the Usage Report IE within the Session Report Request. The RG and SI are populated "},{"title":"Implementing the QAURR Flag","url":"r_implementing-the-qaurr-flag.html","description":"The SMF sets the QAURR flag of PFCPSMReq-Flags IE to request immediate usage reports for all the URRs previously provisioned earlier. Alternatively, SMF queries report for selected URR by sending URR"},{"title":"Supported Functionality and Limitations","url":"r_limitations-gy.html","description":"Basic call flow with Volume-Quota mechanism is supported with the following limitations: Dynamic Rules with Online Enabled is supported; both at Session-Setup and Mid-Session. Predefined Rules (dynam","children":[{"title":"PTT no-quota Limited Pass","url":"r_ptt-noquota-limited-pass.html","description":"This feature allows the subscriber to use the network while waiting for the response from OCS. The Limited-Pass configuration allows to specify the Volume which the subscriber can consume while waiti"},{"title":"PTT quota exhaust Limited Pass","url":"r_ptt_quota_exhaust_limited_pass.html","description":"Quota Exhausted Limited pass is proposed as an alternative to the Quota Exhausted Buffer due to the practical issues of the later in the high-speed network. Buffering requires packet buffering for la"},{"title":"Tariff Time Support","url":"r_tariff-time-support.html","description":"The Tariff switch time functionality is applied when a subscriber switch from one tariff plan to another. The Tariff-Time-Change AVP is used to determine the tariff switch time, and the Monitoring-Ti"},{"title":"TCP Maximum Segment Size","url":"r_tcp-mss_2.html","description":"TCP IP Stack always inserts Maximum Segment Size (MSS) field in the header. This causes difference in MSS insertion behavior with and without TCP Proxy. Using tcp mss configurations, TCP MSS can be l"}]}]},{"title":"Configuring Credit Control for Usage Reporting","url":"r_configuring-credit-control-usage-reportingxml.html","description":"This configuration enables to accept/ignore service ID in the Service-Identifier AVP defined in the Diameter dictionaries. configure require active charging active-charging service service_name credi"},{"title":"Configuring ACS Rulebase for Usage Reporting","url":"r_configuring-acs-rulebase-1-acsmode.html","description":"This section describes how to create, configure, or delete an ACS rulebase. A rulebase is a collection of protocol rules to match a flow and associated actions to be taken for matching flow. The defa"},{"title":"Monitoring and Troubleshooting","url":"r_monitoring-and-troubleshooting_2_3_4_5_6_7_8_9.html","children":[{"title":"Show Commands and/or Outputs","url":"r_show-commands-and-or-outputs.html","description":"This section provides information about the show CLI commands that are available in support of the feature.","children":[{"title":"show-user-plane-service statistics rulebase name <name>","url":"r_show-user-plane-service-statistics-rulebase-name.html","description":"Use this CLI command to see the following fields that are available in support of TCP Maximum Segment Size (MSS) feature: TCP MSS Inserted Pkts: Displays the total number of MSS Inserted packets. TCP"}]}]}]},{"title":"Collection and Reporting of Usage Data over N4 Interface","url":"g_collection-and-reporting-of-usage-data-collection-over-n4.html","description":"This chapter covers the following topics:","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32_33_34.html","description":"Summary DataApplicable Product(s) or Functional Area5G-UPFApplicable Platform(s) VPC-SI Feature Default SettingEnabled \u2013 Always-onRelated Changes in this ReleaseNot ApplicableRelated DocumentationNot"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15.html","description":"Revision HistoryRevision DetailsReleaseFirst Introduced2020.02.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16.html","description":"With this release, the User Plane Function (UPF) supports offline charging and reporting of usage data over the N4 interface. Here, the SMF controls the collection and reporting of usage data by crea"},{"title":"How it Works","url":"r_how-it-works_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20.html","description":"This section describes how UPF supports offline charging of usage data. To implement offline charging, the charging information is sent to the SMF only during PFCP session deletion. Time and volume-b","children":[{"title":"Standards Compliance","url":"r_standards-compliance_2_3_4_5.html","description":"UPF support for collection and reporting of data is compliant with the following standards: 3GPP TS 29.244 - LTE; Interface between the Control Plane and the User Plane of EPC Nodes 3GPP TS 23.501 - "}]},{"title":"Configuration to Collect and Report Volume Measurement over N4 Interface","url":"r_configuration-to-collect-and-report-volume-measurement-over-n4-interface.html","description":"This section describes the configuration required to collect and report volume measurement (usage data). However, to achieve this, SMF-based configurations for volume measurement needs to be configur","children":[{"title":"Configuring Charging Action for a Required Billing Action","url":"r_configuring-charging-action-for-a-required-billing-action.html","description":"Use the following configuration to configure charging-action for a required billing-action: configure require active-charging active-charging service service_name charging-action charging_action_name"},{"title":"Associating a Charging Action with a Rulebase","url":"r_associating-a-charging-action-with-a-rulebase.html","description":"Use the following configuration to associate a charging action with a rulebase: configure require active-charging active-charging service service_name rulebase rulebase_name billing-records interface"}]}]},{"title":"Control Plane-Initiated N4 Association Support","url":"g_upf-control-plane-initiated-n4-association-support.html","description":"This chapter covers the following topics:","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32_33_34.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9.html","description":"Summary DataApplicable Product(s) or Functional Area5G-UPFApplicable Platform(s) VPC-SI Feature Default SettingDisabled \u2013 Configuration RequiredRelated Changes in this ReleaseNot ApplicableRelated Do"},{"title":"Revision History","url":"r_revision-history.html","description":"Revision HistoryRevision DetailsReleaseFirst Introduced.2020.02.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7.html","children":[{"title":"SMF initiated N4 Association Setup Procedure","url":"r_session-management-initiated-n4-association-setup-procedure.html","description":"The N4 association set up procedure sets up an N4 association between the Session Management Function (SMF) and User Plane Function (UPF). It enables the SMF to use the UPF resources to establish the"}]},{"title":"How it Works","url":"r_how-it-works_2_3_4_5_6_7_8_9_10_11_12_13_14.html","description":"The N4 association setup is initiated by the SMF. The setting of N4 association setup procedure is controlled through sx-association initiated-by-cp CLI command in the Control Plane Group Configurati","children":[{"title":"Call Flows","url":"r_call-flows_2_3.html","children":[{"title":"Session Management Function Initiated N4 Association Setup Procedure","url":"r_smf-initiated-n4-association-setup-procedure1.html","description":"The following call flow depicts the SMF-initiated N4 Association Setup procedure. StepDescription1The SMF initiates the N4 Association Setup procedure to request the setup of an N4 association toward"}]}]},{"title":"Configuring the CP-Initiated N4 Association Setup Feature","url":"r_configuring-the-cp-initiated-n4-association-setup-feature.html","description":"This section describes how to configure the CP-Initiated N4 Association Setup feature. Configuring this feature involves using the \u0022sx-association initiated-by-cp\u0022 CLI command in the Control Plane Gr","children":[{"title":"CP-Initiated N4 Association Setup Feature OAM Support","url":"r_cp-initiated-n4-association-setup-feature-oam-support.html","description":"This section describes operations, administration, and maintenance information for this feature.","children":[{"title":"Show Command Support","url":"r_show-command-support1.html","description":"Use the following show command to verify the CP-initiated N4 Association Setup feature configuration.show control-plane-group all The following is a sample output of the show command.show control-pla"}]}]}]},{"title":"Converged Datapath","url":"g_converged_datapath.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_2.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_2.html","description":"Summary Data Applicable Product(s) or Functional Area 5G-UPF Applicable Platform(s) VPC-SI Feature Default Setting Disabled \u2013 Configuration Required Related Changes in this Release Not Applicable Rel"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_2.html","description":"Revision History Revision Details Release Support added for WiFi to LTE handover, and configuration to enable Converged Datapath feature at UPF. 2021.02.0 First introduced. 2021.01.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23.html","description":"The Converged Datapath feature allows interconnection of the same UE\u2019s session at UPF instance with SGW-C/cnSGW and Session Management Function (SMF)/Inter-Working Function (IWF) to build converged/c","children":[{"title":"Architecture","url":"r_architecture_2.html","description":"As part of this feature, there are two sessions on the same UPF instance established by SGW-C/cnSGW and SMF. Once they are established, the software logic determines the peer session so that the conv"}]},{"title":"How it Works","url":"r_how-it-works_2_3_4_5.html","description":"This section describes how the feature works.","children":[{"title":"SxDemuxMgr","url":"r_sxdemuxmgr.html","description":"In distributed architecture of UP/UPF, sessions (Sxa or N4) run on different SessMgr instances. To support collapsing/converging the sessions to a single SessMgr, the SessMgr instance is selected by "},{"title":"SessMgr","url":"r_sessmgr.html","description":"There are two sessions, Sxa and N4, that exist on the same SessMgr instance. To converge them, the following logic is used to identify the session: For Uplink Packet: Egress FARs F-TEID matches with "},{"title":"Datapath","url":"r_datapath.html","description":"After convergence of session occurs at SessMgr, the SessMgr removes the existing Bearer stream (3 tuple) from Fast Path that is installed for Sxa session. It\u2019s established only when flow-level stream"},{"title":"Charging","url":"r_charging.html","description":"Charging of SMF leg (N4 leg) is supported. S-GW charging is not supported."},{"title":"Call Flows","url":"r_call-flows_2_3_4.html","description":"This section describes the call flows associated with Converged Datapath feature.","children":[{"title":"Initial Attach with SGW-C/cnSGW and SMF/IWF","url":"r_initial_attach_with_sgw-c_and_smf-iwf.html","description":"The following illustration describes the initial attach call flow with collapsed UPF. Initial Attach with SGW-C/cnSGW and SMF/IWF Call Flow Description Step Description 1 Create Session Request (CSRe"},{"title":"5G to 4G Handover with Collapsed UPF","url":"r_5g_to_4g_handover_with_collapsed_upf.html","description":"The following illustration describes the 5G to 4G handover call flow with collapsed UPF. 5G to 4G Handover with Collapsed UPF Call Flow Description Step Description 1 As part of UE initial attach, N4"},{"title":"Intra S-GW Handover with Collapsed UPF","url":"r_intra_sgw_handover_with_collapsed_upf.html","description":"The following illustration describes the intra-SGW handover call flow with collapsed UPF. Intra S-GW Handover with Collapsed UPF Call Flow Description Step Description 1 As part of UE initial attach,"},{"title":"Idle/Active DDN Handling with Collapsed UPF","url":"r_idle-active_ddn_handling_with_collapsed_upf.html","description":"The following illustration describes the Idle/Active DDN handling with collapsed UPF. Idle/Active DDN Handling with Collapsed UPF Call Flow Description Step Description 1 As part of UE initial attach"},{"title":"IDFT Handling during S1 Handover","url":"r_idft_handling_during_s1_handover.html","description":"The following illustration describes the IDFT handling during S1 handover with collapsed UPF. IDFT Handling during S1 Handover Call Flow Description Step Description 1 As part of initial attach, N4 a"},{"title":"S-GW Relocation with Same SGW-U","url":"r_s-gw_relocation_with_same_sgw-u.html","description":"The following illustration describes the S-GW relocation with destination S-GW selecting the same UPF. S-GW Relocation with Same SGW-U Call Flow Description Step Description 1 As part of initial atta"},{"title":"WiFi to LTE Handover","url":"r_wifi-to-lte-handover.html","description":"The following illustration describes the WiFi to LTE handover call flow. WiFi to LTE Handover Call Flow Description Step Description 1 N4 Session is established for WiFi between SMF/IWF and UPF. The "}]},{"title":"Limitations","url":"r_limitations_2_3_4_5_6_7_8_9.html","description":"The following are the known limitations of the feature: If Sxa leg is of one user-plane-service and N4 leg is of another user-plane-service, then datapath won\u0027t be collapsed. If Sxa leg is under one "}]},{"title":"Configuring Converged Datapath","url":"r_configuring-converged-datapath.html","description":"This section describes the CLI commands available in support of the feature.","children":[{"title":"Enabling Converged Datapath at UPF","url":"r_enabling-converged-datapath-at-upf.html","description":"Use the following configuration to enable Converged Datapath at UPF. configure user-plane converged-mode end NOTES: user-plane: Specifies the UPF related to the configuration. converged-mode: Specifi"},{"title":"Configuring Remote Peers for Sxa and N4","url":"r_configuring-remote-peers-for-sxa-and-n4.html","description":"Use the following CLI commands to configure remote peers for Sxa and N4 interface. configure control-plane-group group_name peer-node-id ipv4-address ipv4_address interface n4 peer-node-id ipv4-addre"},{"title":"Configuring User Plane Service for Sxa and N4","url":"r_configuring-userplane-service-for-sxa-and-n4.html","description":"Use the following CLI commands to configure UP Service for Sxa and N4 interface. configure user-plane-service service_name associate gtpu-service gtpu_service upf-ingress associate gtpu-service gtpu_"}]},{"title":"Monitoring and Troubleshooting","url":"r_monitoring_and_troubleshooting_2_3_4.html","children":[{"title":"Show Commands and/or Outputs","url":"r_show_commands_and_or_outputs.html","description":"This section provides information about the show CLI commands and/or outputs available in support of the Converged Datapath feature.","children":[{"title":"show subscribers user-plane-only all","url":"r_show-subscribers-user-plane-only-all_2.html","description":"The output of this CLI command is enhanced to display the following fields to indicate if the session is converged or non-converged: Converged Non Converged"},{"title":"show subscribers user-plane-only full all","url":"r_show_subscribers_user-plane-only_full_all.html","description":"The output of this CLI command is enhanced to display the following fields: Converged Session Converged Peer Callid"},{"title":"show user-plane-service statistics all","url":"r_show_user-plane-service_statistics_all.html","description":"The output of this CLI command is enhanced to display the following fields: Converged Data Session PDNs: Active Setup Released"}]}]}]},{"title":"Deep Packet Inspection and Inline Services","url":"g_inherited-dpi-charging-rules.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_4.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_4.html","description":"Applicable Product(s) or Functional Area5G-UPFApplicable Platform(s)VPC-SIFeature Default SettingDisabled \u2013 Configuration RequiredRelated Changes in this ReleaseNot ApplicableRelated DocumentationUCC"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_4.html","description":"Revision Details Release Support has been added for the following functionality: IP Readdressing RTP Dynamic Flow Detection Rule-matching for Bearer-specific Filters QUIC IETF implementation 2021.02."}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5.html","description":"One of the key product capability of Cisco 5G-UPF is integrated Deep Packet Inspection (DPI) based services. DPI is the examination of layer 7 (L7), which contains Uniform Resource Identifier (URI) i"},{"title":"How it Works","url":"r_how-it-works_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16.html","description":"This section describes the following functionality of DPI: DSCP Marking of downlink and uplink packets. Traffic Readdressing or Redirecting.","children":[{"title":"DSCP Marking for Downlink and Uplink Packets","url":"r_dscp-marking-for-downlink-and-uplink-packets.html","description":"Transport-level marking is the process of marking traffic at the UPF with a Differentiated Services Code Point (DSCP) value. The transport-level marking, executed on per-QoS flow, is based on the map","children":[{"title":"Transport Level Marking IE","url":"r_transport-level-marking-ie.html","description":"The \u0022Transport Level Marking\u0022 IE type is encoded as shown in the following figure. It indicates the DSCP value for the downlink transport-level marking.The encoding for Type-of-Service (ToS) or Traff"},{"title":"Transport Level Marking Options IE","url":"r_transport-level-marking-options.html","description":"The \u0022Transport Level Marking Options\u0022 IE type is encoded as shown in the following figure. The DSCP for downlink transport-level marking is copied from the inner packet.The Copy-Inner and Copy-Outer "},{"title":"Inner Packet Marking IE","url":"r_inner-packet-marking.html","description":"The \u0022Inner Packet Marking\u0022 IE type is encoded as shown in the following figure. It indicates the DSCP value for the downlink inner packet marking.The encoding for ToS/Traffic Class takes place in the"}]},{"title":"Traffic Readdressing or Redirecting","url":"r_traffic-readdressing-or-redirecting.html","description":"Traffic Redirection is the process of redirecting uplink application traffic to a redirect destination. For example, redirect some HTTP flows to service provisioning page. The redirect destination is","children":[{"title":"Redirect Information IE","url":"r_redirect-information-ie.html","description":"Redirect information is encoded as follows:\u0022Redirect Address Type\u0022 indicates the type of the redirect address:Redirect Address Type Value (Decimal)IPv4 address0IPv6 address1URL2SIP URI3Spare, for fut"}]}]},{"title":"Supported Inline Services","url":"r_supported-inline-services.html","children":[{"title":"Application Detection and Control","url":"r_adc-support.html","description":"The ADC in-line service is mainly used to detect Peer-to-Peer protocols by analyzing traffic. Other popular applications that generate the bulk of Internet traffic like Social Networking and Gaming a","children":[{"title":"QUIC IETF Implementation","url":"quic_ietf_implementation.html","description":"In the current framework, Deep Packet Inspection (DPI) is done for every packet in a flow when it reaches the plugin. The DPI is done by analyzing the packets and extracting deterministic patterns. T"},{"title":"Configuring QUIC IETF","url":"r_configuring_quic_ietf.html","description":"Use the following configuration to enable or disable the QUIC IETF decryption. configure active-charging service acs_service_name p2p-detection debug-param protocol-param p2p_quic_ietf_decrypt 1 end "},{"title":"Statistics","url":"r_statistics-quic.html","description":"show user-plane-service statistics analyzer name p2p Use this show CLI command to determine the packets that are analyzed for QUIC and application."}]},{"title":"Content Filtering","url":"r_content-filtering.html","description":"Content Filtering is an in-line service available for 3GPP and 3GPP2 networks to filter HTTP requests from mobile subscribers based on the URLs in the requests. This enables operators to filter and c"},{"title":"DNS Snooping","url":"r_dns-snooping.html","description":"Charging The charging of DNS Snooping takes place at SM-P. Rule Definitions Use the following CLI commands for specifying the rule definition hostnames (domain-names) and part of the host names.ruled"},{"title":"Event Data Records","url":"r_event-data-records.html","children":[{"title":"Feature Description","url":"r_feature-description-edr.html","description":"Event Data Records (EDR) are usage records with support to configure content information, format, and generation triggers by the system administrative user. When a flow is terminated, the UPF generat"},{"title":"How It Works","url":"r_how-it-works-edr.html","description":"EDRs are generated from User Plane on flow termination. During call setup and call modification, all call-specific attributes required for EDR generation is sent from SMF to UPF as part of the \u0022Subsc","children":[{"title":"Limitations","url":"r_limitations_2_3_4.html","description":"The EDR feature in UPF has the following limitations: EDR will be generated only for flow end condition: Idle timeout, HAGR, normal flow termination, and during the end of a session. Charging-Action "}]},{"title":"Configuring Event Data Records","url":"r_configuring-edrs.html","children":[{"title":"Configuring EDRs on UPF","url":"r_confiuring-edrs-in-upf.html","description":"Use the following configuration to configure EDRs on UPF: active-charging service service_name rulebase rulebase_name flow end-condition { timeout | normal-end-signaling | session-end | hagr } chargi"},{"title":"Configuration to Enable EDR Module","url":"r_configuration-to-enable-edr-module.html","description":"Use the following configuration to enable EDR module. configure context context_name edr-module active-charging-service end"},{"title":"Configuring Additional TCP Fields","url":"r_configuring-additional-tcp-info-fields-edr.html","description":"Prior to using the following CLI commands to configure additional TCP fields in the EDR, ensure that all the other EDR configurations are present. configure active-charging service service_name edr-f"}]},{"title":"Monitoring and Troubleshooting","url":"r_monitoring-troubleshooting-edr.html","children":[{"title":"show user-plane-service statistics rulebase name rulebase_name","url":"r_show-user-plane-service-statistics.html","description":"The following fields are displayed in support of this feature: Rulebase Name EDRs Charge Volume Uplink Pkts Uplink Bytes Downlink Pkts Downlink Bytes Charging EDRs Total Charging EDRs generated EDRs "},{"title":"show user-plane-service edr-format all","url":"r_show-active-charging-edr-format-all.html","description":"The following fields are displayed in support of Additional TCP Fields in EDR feature: Service Name EDR Format Name rule-variable tcp syn-synack-rtt priority 1 rule-variable tcp synack-ack-rtt priori"}]}]},{"title":"Flow Idle Timeout Randomization","url":"r_flow-idle-timeout-random.html","description":"Every two seconds, the Session Manager polls the time of the latest packet from Session Manager instance, or the fastpath stream to determine idle flows. Short length flows become idle quickly as the","children":[{"title":"Configuring Flow Idle Timeout Randomization in ACS","url":"r_configuring-flow-idle-timeout-random.html","description":"Use the following configuration to randomize the idle timeout flow. configure active-charging service service_name idle-timeout randomize-range range { default | no } idle-timeout randomize-range end"}]},{"title":"HTTP URL Filtering","url":"r_http-url-filtering.html","description":"The HTTP URL Filtering feature simplifies rule definitions used for URL detection. The HTTP request packet can have a proxy (prefixed) URL and an actual URL. If a proxy URL is found in the HTTP reque"},{"title":"IP Readdressing","url":"r_ip_readdressing.html","description":"The IP Readdressing feature enables redirecting unknown gateway traffic based on the destination IP address of the packets to known/trusted gateways. IP Readdressing is configured in the flow action ","children":[{"title":"Configuring IP Readdressing","url":"r_configuring_ip_readdressing.html","description":"Readdressing of packets based on the destination IP address of the packets enables redirecting unknown gateway traffic to known/trusted gateways. This is implemented by configuring the re-address ser"},{"title":"Show Commands","url":"r_show_commands_ip_readdressing.html","description":"This section provides information about the show CLI commands available in support of IP Readdressing feature. CLI Command Description show user-plane-service readdress-server-list statistics all sho"}]},{"title":"L7 Protocol","url":"r_l7-protocols.html","description":"The following L7 protocols are supported as part of DPI: DNS FTP HTTP HTTPS RTP/RTSP SIP","children":[{"title":"DNS","url":"r_dns.html","description":"The UPF supports DNS protocol as part of L7 Analyzer."},{"title":"FTP","url":"r_ftp-analyzer.html","description":"The UPF supports FTP proocol as part of L7 Analyzer."},{"title":"HTTP","url":"r_http.html","description":"On completion of HTTP Request/Response, the uplink/downlink data packets are offloaded to VPP in the following cases: Content-Length \u2013 Volume-based offloading is supported for methods like GET and PO"},{"title":"HTTPS","url":"r_https.html","description":"The UPF supports HTTPS protocol as part of L7 Analyzer."},{"title":"RTP/RTSP","url":"r_rtp-rtsp.html","description":"The UPF supports RTP and RTSP protocols as part of L7 Analyzer."},{"title":"SIP","url":"r_sip-analyzer.html","description":"Session Initiation Protocol is an IETF-defined signaling protocol widely used for controlling communication sessions such as voice and video calls over Internet Protocol (IP). The protocol can be use"},{"title":"Monitoring and Troubleshooting","url":"r_monitoring-and-troubleshooting-l7.html","description":"This section provides information regarding the CLI command available in support of monitoring and troubleshooting the feature.","children":[{"title":"Show Command(s) and/or Outputs","url":"r_show-command-and-or-outputs-l7.html","description":"This section provides information regarding show commands and/or their outputs in support of this feature. DNS Use the following CLI command to get statistics related to DNS: show user-plane-service "}]}]},{"title":"Tethering Detection","url":"g_dpi-tethring-support.html","children":[{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28.html","description":"Tethering refers to the use of a mobile smartphone as a USB dongle/modem to provide Internet connectivity to PC devices (laptops, PDAs, tablets, and so on) running on the smartphone\u0027s data plan. Typi"},{"title":"Configuring Tethering Support","url":"r_configuring-tethering-support.html","description":"This section describes how to configure the Tethering Support feature. Configuring the Tethering Support feature involves the following steps: Rulebase Configuration for Tethering Ruledef Configurati","children":[{"title":"Rulebase Configuration for Tethering","url":"r_rulebase-config-tethering.html","description":"Use the following commands to configure the rulebase parameters for tethering. configure active-charging service service_name rulebase rulebase_name tethering-detection ip-ttl valuettl_value end NOTE"},{"title":"Ruledef Configuration for Tethering","url":"r_ruledef-configuration-for-tethering.html","description":"Use the following commands to configure ruldef parameters for tethering. configure active-charging serviceservice_name ruledef ruledef_name ip any-match operator_condition tethering-detection ip-ttl "},{"title":"EDR Configuration for Tethering","url":"r_edr-configu-for-tethering.html","description":"Use the following commands to configure EDR for tethering: configure active-charging service service_name edr-format format_name rule-variable flow tethered-ip-ttl priority priority_value rule-variab"}]},{"title":"Monitoring and Troubleshooting","url":"r_monitoring-and-troubleshooting_2_3_4_5_6_7_8.html","description":"This section provides information regarding the CLI command available in support of monitoring and troubleshooting the feature.","children":[{"title":"Show Command(s) and/or Outputs","url":"r_show-command-outputs_2.html","description":"This section provides information regarding show commands and/or their outputs in support of this feature.","children":[{"title":"show user-plane-service statistics tethering-detection","url":"r_show-user-plane-service-statistice-tethering-detection.html","description":"The following fields are displayed in support of this feature: Current Tethered Subscribers Total Tethered Subscribers Total flows scanned Total Tethered flows detected Total Tethered flows recovered"},{"title":"show user-plane-service statistics rulebase name rulebase_name","url":"r_show-user-plane-service-statistics-rulebase-name_2.html","description":"The following fields are displayed in support of this feature: Tethering Detection (ip-ttl) Total flows scanned Tethered flows detected Tethered uplink packets Tethered downlink packets"}]}]}]},{"title":"RTP Dynamic Flow Detection","url":"r_rtp_dynamic_flow_detection.html","description":"The rtp dynamic-flow-detection CLI command, under the ACS Rulebase Configuration mode, enables the Real Time Streaming Protocol (RTSP) and Session Description Protocol (SDP) analyzers to detect the c"},{"title":"Rule-matching for Bearer-specific Filters","url":"r_rule-matching-for-bearer-specific-filters.html","description":"The Rule-matching for Bearer-specific Filters functionality includes: IMSI-based rules are matched as per the subscribers IMSI. APN-based rules allow you to define rule expressions to match Access Po"},{"title":"URL Blacklisting","url":"g_dpi-url-blacklisting.html","children":[{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25.html","description":"The URL blacklisting feature regulates the subscriber\u2019s access to view or download content from websites whose URL or URI has been blacklisted. It uses a database that records a list of URLs that ind"},{"title":"How it Works","url":"r_how-it-works_2_3_4_5_6_7_8.html","description":"To enable the URL blacklisting feature on UPF, URL blacklisting database should be present with a name \u201Coptblk.bin\u201D under flash, or SFTP or under its sub-directory. This database directory path needs"},{"title":"Configuring URL Blacklisting","url":"r_configuring-url-blacklisting.html","children":[{"title":"Loading URL Blacklisting Database on UPF","url":"r_loading-url-blacklisting-db.html","description":"Use the following configuration to load URL blacklisting database on UPF. configure url-blacklisting database directory path database_directory_path url-blacklisting database max-versions max_version"},{"title":"Upgrading the URL Blacklisting Database","url":"r_upgrade-url-blacklisting-db-cli.html","description":"Use this configuration to manually upgrade the URL blacklisting database. upgrade url-blacklisting database end"},{"title":"Configuration to Enable URL Blacklisting","url":"r_config-to-enable-url-blacklistin-feature.html","description":"Use the following configuration to enable URL blacklisting feature on UPF. configure active-charging service service_name url-blacklisting match-method [ exact | generic ] rulebase rulebase_name url-"}]},{"title":"Monitoring and Troubleshooting","url":"r_monitoring-and-troubleshooting.html","description":"This section provides information regarding the CLI command available in support of monitoring and troubleshooting the feature.","children":[{"title":"Show Command(s) and/or Outputs","url":"r_show-command-outputs.html","description":"This section provides information regarding show commands and/or their outputs in support of this feature.","children":[{"title":"show user-plane-service url-blacklisting database","url":"r_show-user-plane-service-url-blacklisting-database.html","description":"The following fields are displayed in support of this feature: URL Blacklisting Static Rating Databases: Last Upgrade Status Path Database Status Number of URLs in DB Type Version Creation Time Hostn"},{"title":"show user-plane-service url-blacklisting database url database_directory_path","url":"r_show-user-plane-service-url-blacklisting-database-url.html","description":"The following fields are displayed in support of this feature: URL Blacklisting Static Rating Databases: Last Upgrade Status Path Database Status Number of URLs in DB Type Version Creation Time Hostn"},{"title":"show user-plane-service url-blacklisting database facility sessmgr all","url":"r_show-user-plane-service-url-blacklisting-database-facility-sessmgr-all.html","description":"The following fields are displayed in support of this feature: URL-Blacklisting SessMgr Instance Based Database Configuration SessMgr Instance BL DB Load Status BL DB Version Number of URLs Checksum"},{"title":"show user-plane-service rulebase name rulebase_name","url":"r_show-user-plane-service-rulebase-name.html","description":"The following fields are displayed in support of this feature: URL-Blacklisting Action URL-Blacklisting Content ID"},{"title":"show user-plane-service inline-services info","url":"r_show-user-plane-service-inline-services-info.html","description":"The following fields are displayed in support of this feature: URL-Blacklisting: Enabled URL-Blacklisting Match-method: Generic"},{"title":"show user-plane-service inline-services url-blacklisting statistics","url":"r_show-user-plane-service-inline-services-url-blacklisting-statistics.html","description":"The following are displayed in support of this feature: Cumulative URL-Blacklisting Statistics Blacklisted URL hits Blacklisted URL misses Total rulebases matched"},{"title":"show user-plane-service inline-services url-blacklisting statistics rulebase name rulebase_name","url":"r_show-user-plane-service-inline-services-url-blacklisting-statistics-rulebase-name.html","description":"The following fields are displayed in support of this feature: Rulebase Name URL-Blacklisting Statistics Blacklisted URL hits Blacklisted URL misses Total rulebases matched"}]}]}]}]},{"title":"Configuring the Static and Pre-Defined Rules","url":"r_configuring-the-static-and-pre-defined-rules.html","description":"This section describes how to configure the static and pre-defined rules under the charging action configuration. configure active-charging service service_name charging-action charging_action_name f"},{"title":"Configuring ACS Ruledef for L7 Protocols for DPI","url":"r_configuring-acs-ruledef.html","description":"A ruledef represents a set of matching conditions across multiple L3 \u2013 L7 protocol based on protocol fields and state information. Each ruledef can be used across multiple rulebases within the active"},{"title":"Charging Action Configuration for L7 Protocols for DPI","url":"r_charging-action-configuration.html","description":"This section describes how to configure charging action. The charging action represents actions to be taken when a configured rule is matched. Actions could range from generating an accounting record"}]},{"title":"Device ID in EDNS0 Records","url":"g_device_id_in_edns0_records.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature_summary_and_revision_history_2_2.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_2.html","description":"Summary Data Applicable Product (s) or Functional Area 5G-UPF Applicable Platforms VPC-SI Feature Default Setting Disabled \u2013 Configuration Required Related Changes in this Release Not Applicable Rela"},{"title":"Revision History","url":"r_revision_history_2_1.html","description":"Revision History Revision Details Release TCP support is added. 2021.02.1 First introduced. 2021.01.2"}]},{"title":"Feature Description","url":"r_feature_description_2_3_4_5.html","description":"The Device ID in EDNS0 offers each enterprise with a customized domain blocking through Umbrella. To enable this functionality: The UPF must reformat a subscriber DNS request into an EDNS0 request, a"},{"title":"How it Works","url":"r_how_it_works.html","description":"New CLIs are introduced to configure and trigger the EDNS0 functionality. The EDNS0 packet receives the 64-bit device ID as OPT RR data. The first 32 bits of all device IDs is a fixed value configure","children":[{"title":"Process Flow","url":"r_process_flow.html","description":"The following process flow describes about the Content Filtering enhancement to insert Device ID in EDNS0 records:"},{"title":"EDNS0 Packet Format","url":"r_edns0_packet_format.html","description":"The enterprise policy ID (CF_POLICY_ID) from PCRF helps to create the Device ID. The SMF sends the device ID to the UPF. Adding the Device ID to the DNS packet helps in creating the EDNS0 packet. The"},{"title":"EDNS0 with IP Readdressing","url":"r_edns0-with-ip-readdressing.html","description":"The new CLI is configured within trigger action to readdress the DNS traffic to the Umbrella DNS. This CLI uses the existing readdress server list configuration from the ACS service. Readdressing of "},{"title":"Behavior and Restrictions","url":"r_behavior_and_restrictions.html","description":"Following are the behavior and restrictions applicable for this feature: Trigger Condition is evaluated at flow creation time. Any change in trigger condition in between the flow doesn\u2019t affect the e"},{"title":"Limitation","url":"r_limitation.html","description":"Following are the limitations for this feature: The feature doesn\u2019t support the EDNS response packet reformat. The UPF must be able to include the IMSI MSISDN tag value in the EDNS0 queries. This fea"}]},{"title":"Configuring EDNS Format and Trigger Action","url":"r_configuring_edns_format_and_trigger_action.html","description":"Use the following configuration to enable DNS filtering: configure active-charging-service service_name content-filtering range start_min_val to end_max_val If the range parameter is set from 10 thro","children":[{"title":"Sample Configuration","url":"r_sample_configuration.html","description":"Following is the sample configuration for configuring the EDNS packets: configure active-charging service ACS content-filtering range 10 to 100 ruledef dns-port udp either-port = 53 tcp either-port ="}]},{"title":"Monitoring and Troubleshooting","url":"r_monitoring_and_troubleshooting_2.html","description":"Following are the show commands and outputs in support of enhance content filtering support to Insert device ID in EDNS0 records.","children":[{"title":"Show Commands and Outputs","url":"r_show_commands_outputs_2.html","description":"Following are the show commands and outputs that are modified in support of the enhance content filtering support to Insert device ID in EDNS0 records. show user-plane-service inline-services infoCF "},{"title":"Bulk Statistics","url":"r_bulk-statistics.html","description":"The following bulk statistics are available in support of the Device ID in EDNS0 Records feature: SCHEMA: ECS Statistics Description ecs-dns-udp-edns-encode-succeed The count of DNS to EDNS converted"}]}]},{"title":"Downlink Data Notification","url":"g_downlink-data-notification.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_2.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_2.html","description":"Applicable Product(s) or Functional Area5G-UPFApplicable Platform(s)VPC-SIFeature Default SettingDisabled \u2013 Configuration RequiredRelated Changes in this ReleaseNot ApplicableRelated DocumentationUCC"},{"title":"Revision History","url":"r_revisin_history_2_3_4_5_2.html","description":"Revision Details Release First introduced. 2021.02.0"}]},{"title":"Feature Description","url":"r_feature_description_2_3_4_5_6_7_8.html","description":"The Downlink Data Notification (DDN) messages with support for DDN Delay and DDN Throttling, and buffering in SAEGW when UE is in Idle State, is supported in 5G-UPF."},{"title":"How It Works","url":"r_how-it-works_2_3_4_5_6_7_8_9_10_11.html","description":"This section provides an overview of how this feature works. Buffering is supported at SAEGW-U. Support of buffering starts when UE moves to IDLE state due to Release Access Bearer. ACTIVE to IDLE tr","children":[{"title":"Downlink Data Notification \u2013 Delay (DDN-D) Support","url":"r_ddn-delay.html","description":"Under certain conditions, when UE triggers a service request, uplink and downlink data is triggered and is received at the SGW-C even before the Modify Bearer Request (MBR) is received causing unnece"},{"title":"5G SMF Calls","url":"r_ddn-delay1.html","description":"Downlink Data Notification - 5G UE When UE turns to Idle state in the 5G call mode, SMF sends Sx_Modify_Request with FAR Apply Action set to BUFFER value. For every QFI (default/dedicated), the FAR A"},{"title":"DDN Throttling Support","url":"r_ddn_throttling_support.html","description":"Too many DDN requests towards MME from SGW-C could lead to processing overload at MME. To reduce this load, MME dynamically requests SGW-C to reduce a certain percentage of DDN messages sent towards "},{"title":"No User Connect Timer Support","url":"r_no_user_connect_timer_suport.html","description":"Timer is introduced when a Modify Bearer Request is not received after positive Downlink Data Notification acknowledgment. It is initiated at SGW-C when DDN acknowledgment is received. On arrival of "},{"title":"DDN Call Flows","url":"r_calll_flow.html","children":[{"title":"DDN Success Scenario","url":"r_ddn_success.html","description":"MME sends Release Access Bearer request to SGW-C to release downlink remote TEIDs of all the bearers for that UE. On arrival of Release Access Bearer request, SGW-C informs the same to SGW-U by updat"},{"title":"DDN Failure Scenario","url":"r_ddn_failure.html","description":"MME sends Release Access Bearer request to SGW-C to release downlink remote TEIDs of all the bearers for that UE. On arrival of Release Access Bearer request, SGW-C informs the same to SGW-U by updat"},{"title":"No User Connect Timer Support","url":"r_no_user_connect_timer_flow.html","description":"MME sends Release Access Bearer request to SGW-C to release downlink remote TEIDs of all the bearers for that UE. On arrival of Release Access Bearer request, SGW-C informs the same to SGW-U by updat"},{"title":"DDN Delay Timer","url":"r_ddn_delay_timer_support_flow.html","description":"MME sends Release Access Bearer request to SGW-C to release downlink remote TEIDs of all the bearers for that UE. On arrival of Release Access Bearer request, SGW-C informs the same to SGW-U by updat"}]},{"title":"Sx Interface","url":"r_sx-interface.html","description":"Sx Session Level Reporting Procedure Detection of first Downlink Data for Idle-Mode UE (by SAEGW-U): When SAEGW-U receives the downlink packet but no S1-bearer for transmission and the buffering is p"},{"title":"Limitations","url":"r_limitations_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32.html","description":"Following are the known limitations of this feature: SAEGW Buffering is done for five data packets per PDN session. DDN profile configuration is not supported. Support for buffered data (data packet "}]},{"title":"DDN Throttling for non-Release 10 Compliant MME","url":"r_ddn_throttling_for_non-release10mme.html","description":"Use the following configuration to configure DDN throttling for a non-release 10 MME: configure context context_name sgw-service service_name ddn throttle arp-watermark arp_value [ rate-limit limit t"},{"title":"DDN Throttling for Release 10 Compliant MME","url":"r_configuration_release_10_mme.html","description":"DDN throttling is enabled through Call Control Profile by providing the ARP value. For example, if the ARP value provided is 10, then all bearers with ARP value between 10-15 are treated as low prior"},{"title":"Idle Timer for SAE-GW Sessions","url":"g_idle_timer_for_sae-gw_sessions.html","description":"An Idle Timer is supported to identify and remove idle sessions that occur in the SAE-GW. A session becomes idle in some cases where the session is removed from other network nodes, but due to a tech","children":[{"title":"Limitations","url":"r_limitations_2_3_4_5_6_7_8_9_10.html","description":"The Idle Timer feature does not support recovery of Idle Timer in case of redundancy events."},{"title":"Configuring Idle Timer for SAE-GW Sessions","url":"r_configuring_idle_timer.html","description":"The Idle Timer is configurable at APN level. Use the following commands to configure the idle timer for SAE-GW sessions: configure context context_name apn apn_name timeout idle timeout_value no time"}]},{"title":"S-GW Session Idle Timeout","url":"g_s-gw_session_idle_timeout.html","description":"This chapter describes the Idle Timeout Handling feature for S-GW sessions. On the ASR5500 platform, subscriber session is represented by call-line. The S-GW product call-line interfaces to its peers","children":[{"title":"Configuring Session Idle Timeout","url":"r_configuring_session_idle_timeout.html","description":"The session idle timer for S-GW sessions is configurable from S-GW service. To configure Session Idle Timeout for S-GW, use the following configuration: configure context context_name sgw-service ser"}]},{"title":"Show Commands Input and/or Outputs","url":"r_showcommandio_2_3.html","description":"This section provides information regarding show commands and their outputs in support of the feature.","children":[{"title":"show subscribers user-plane-only full all","url":"r_show_subscribers_user_plane_only_full_all.html","description":"The output of this command displays the following fields in support of this feature: buffered pkts buffered bytes buffer overflow drop pkts buffer overflow drop bytes"},{"title":"show subscribers user-plane-only full callid <call_id>","url":"r_show_subscribers_user_plane_only_full_all1.html","description":"Use the following configuration to check the buffering per subscriber: DDN buffered packets DDN buffered bytes DDN buffer overflow drop packets DDN buffer overflow drop bytes When the buffered packet"}]}]},{"title":"DSCP Markings For Collapse Calls","url":"g_dscp_markings_for_collapse_calls.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature_summary_and_revision_history_2_1.html","description":"Summary Data Applicable Product (s) or Functional Area 5G-UPF Applicable Platforms VPC-SI Feature Default Setting Disabled \u2013 Configuration Required Related Changes in this Release Not Applicable Rela"},{"title":"Feature Description","url":"r_feature_description_2_3.html","description":"Currently, QCI-based DSCP markings are applicable for Pure-S and Pure-P calls. The DSCP markings are based on QCI-QOS-Mapping associated with respective S-GW service or P-GW service. For collapse cal","children":[{"title":"DSCP Markings for 5G Calls","url":"r_dscp_markings_for_5g_calls.html","description":"The QCI/QOS mapping table in SMF drives the DSCP values being put on the packets. It\u0027s similar configuration as in PGW-CP. The DSCP values are sent as part of FAR during call establishment (Sx establ"},{"title":"DSCP Markings for 4G Collapsed Datapath Calls","url":"r_dscp_markings_for_4g_calls.html","description":"For collapsed Datapath calls: On Sxa leg, DSCP marking is sent in FAR from SGWC/Cn-SGWC. On N4 leg, DSCP marking is sent in FAR from SMF. For uplink packets, UPF applies the DSCP marking as per SMF c"}]},{"title":"How It Works","url":"r_how_it_works_2.html","description":"Following are the steps that describe the DSCP markings for the collapse calls. In case of Collapse call: For ACCESS side, QCI-QOS mapping table associated with SGW-service is used. For CORE side, QC","children":[{"title":"SessMgr SMF Changes","url":"r_smgr_cp_changes.html","description":"DSCP markings for Uplink/CORE and Downlink/ACCESS are present at bearer level inside sessmgr_sub_session_t \u2192 sessmgr_qci_tab_t. User datagram DSCP markings are updated in IP header of inner packet. T"}]},{"title":"Configuration","url":"r_configuration.html","description":"Configure the following command inside the SAEGW service to enable/disable this feature. configure context egress saegw-service saegw_service_name downlink-dscp-per-call-type [ enabled | disabled ] e"},{"title":"Monitoring and Troubleshooting","url":"r_monitoring_and_troubleshooting_2_3.html","description":"This section provides information on CLI commands that are available for monitoring and troubleshooting for DSCP markings for collapse calls.","children":[{"title":"Show Commands Outputs","url":"r_show_commands_outputs.html","description":"This section provides information about show CLI commands that are available in support of DSCP markings for collapse calls. show saegw-service all This show command is to check if the feature is ena"}]}]},{"title":"Dynamic and Static PCC Rules","url":"g_upf-dynamic-static-pcc-rules.html","description":"This chapter covers the following topics:","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32_33.html","description":"Summary Data Applicable Product(s) or Functional Area 5G-UPF Applicable Platform(s) VPC-SI Feature Default Setting Enabled \u2013 Always-on Related Changes in this Release Not Applicable Related Documenta"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14.html","description":"Revision HistoryRevision DetailsRelease Support has been added for flow-level policing. 2021.01.0 The maximum number of groups that can be configured per bandwidth policy has been increased. 2021.01."}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26.html","description":"Dynamic PCC rules are provisioned by the PCF to the PCEF via the HTTP interface and may be either predefined/static or dynamically generated in the PCF. Dynamic PCC rules can be installed, modified a","children":[{"title":"How it Works","url":"r_how-it-works.html"},{"title":"Predefined PCC Rules Support","url":"r_predefined-pcc-rules-support.html","description":"Config URR IDs are applicable for static rules and also predefined rules. When a subscriber call comes up, it traverses the static rules in rule base. The subscriber master URR list with bucket IDs a"}]},{"title":"Provisioning of Predefined PCC Rules","url":"r_provisioning-of-predefined-pcc-rules.html","description":"Predefined PCC rule is preconfigured in the SMF (for 5GC). Predefined PCC rules can be activated or deactivated by the PCF at any time. The Predefined PCC rules may be grouped allowing the PCF to dyn"},{"title":"Dynamic PCC Rules Support","url":"r_dynamic-pcc-rules-support.html","description":"For dynamic PCC rules multiple flows are supported on per Packet Forwarding Control Protocol (PFCP) session: The 5G QoS model allows classification and differentiation of specific services based on s"},{"title":"Policing","url":"r_policing.html","description":"The policer configuration uses inputs from the session manager, these inputs are received either from PCF as AMBR or from flow-level QoS information. The values received from the PCF are always accep"},{"title":"Bandwidth Policy Configuration Limits","url":"r_bandwidth-policy-configuration-limits.html","description":"The UPF expects the user to configure the bandwidth limits in both SMF and UPF, for both downlink and uplink packets, in all charging actions of predefined PCC rules, even if the bandwidth limitation"},{"title":"Rate Limiting for Static and Predefined Rules","url":"r_rate-limiting-for-static-and-predefined-rules.html","description":"For static and predefined rules, bandwidth limiting is achieved by the bandwidth policy configuration. Bandwidth Policy must be configured on SMF and UPF under Active Charging Service Configuration M"},{"title":"Rate Limiting for Dynamic Rules","url":"r_rate-limiting-for-dynamic-rules.html","description":"As per 3GPP TS 29.244, the following IE is received from SMF for QoS enforcement in Create QER or Update QER in Session Establishment or Modification Request: Maximum Bitrate: This IE is present if a"},{"title":"Standards Compliance","url":"r_standards-compliance_2_3.html","description":"The N4 interface between SMF and UPF is specified in 3GPP TS 23.501 and 3GPP TS 23.502."},{"title":"Configuring the URR IDs","url":"r_configuring-the-urr-ids.html","description":"Following are the steps to achieve the configurable URR IDs: Configuration template outside of Charging action to allow URR-Id mapping with \u0022Rating Group\u0022 and \u0022Service-ID\u0022. If a separate RG is config"},{"title":"Threshold Configuration","url":"r_threshold-configuration.html","description":"The GTPP group configuration is required for threshold calculation at UPF. UPF uses GTPP group name available from APN configuration. Only one GTPP group should be associated under APN configuration."}]},{"title":"GTP-U Support","url":"g_upf-gtp-u-support.html","description":"This chapter covers the following topics:","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32_33_2.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_2.html","description":"Summary Data Applicable Product(s) or Functional Area 5G-UPF Applicable Platform(s) VPC-SI Feature Default Setting Enabled \u2013 Always-on Related Changes in this Release Not Applicable Related Documenta"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_2.html","description":"Revision HistoryRevision DetailsRelease Optimization of UDP checksum is added in this release. 2021.02.0 First introduced 2020.02.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27.html","description":"3GPP specifies provisions for UEs capable of supporting both 5G and 4G NAS to connect to E-UTRAN and 5G core network. To forward data (G-PDUs and End Marker packets) during an EPS to 5GS handover, th"},{"title":"How it Works","url":"r_how-it-works_2_3_4_5_6_7_8_9_10_11_12_13_14_15.html","children":[{"title":"Call Flows","url":"r_call-flows_2.html","children":[{"title":"Initial Attach on E-UTRAN via MME and S-GW","url":"r_initial-attach-on-e-utran-via-mme-and-sgw.html","description":"Initial attach on E-UTRAN/EPS follows the procedure defined in 3GPP TS 23.401, Section 5.3.2.1. The following diagram shows the call flow derived from 3GPP reference for initial attach on E-UTRAN/EPS"},{"title":"5G to EPS Handover with N26 Interface","url":"r_5g-to-eps-handover-with-n26-interface.html","description":"5G to EPS handover with N26 interface is defined in 3GPP TS 23.502, Section 4.11.1.2.1. The following diagram shows the detailed call flow for N26 interface. 5G to EPS Handover with N26 Interface Cal"}]},{"title":"Error Indication Handling on UPF","url":"r_error-indicationhandling-on-up.html","description":"UPF, on receiving Error Indication, initiates a PFCP Session Report Request with Error Indication Report that includes remote F-TEID containing TEID and GTP-U Peer address. For PGW-U, Error Indicatio"},{"title":"GTP-U Path Failure Support at UPF","url":"r_gtpupathfailuresupportatup.html","description":"GTP-U Echo Requests is initiated and sent periodically as per the configured interval on UPF. GTP-U Echo Response is sent for the GTP-U Echo Request received from SMF over GTP-U tunnel. If Response i"}]},{"title":"Disabling UDP Checksum","url":"r_optimization_of_udp_checksum.html","description":"This functionality disables the UDP checksum in UDP header of the GTP-U packet. The value of the UDP checksum is set to zero.","children":[{"title":"Disabling UDP Checksum","url":"r_configuring_udp_checksum.html","description":"Use the following configuration to disable the UDP checksum in UDP header of the GTP-U packet.configure context context_name gtpu-service service_name no udp-checksum end"}]}]},{"title":"Heartbeat Support for N4/Sx Interface","url":"g_heartbeat-support-for-sx-interface.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28.html","description":"Summary Data Applicable Product (s) or Functional Area 5G-UPF Applicable Platforms VPC-SI Feature Default Setting Disabled \u2013 Configuration Required Related Changes in this Release Not Applicable Rela"},{"title":"Revision History","url":"r_revisin_history_2.html","description":"Revision Details Release First introduced. 2021.01.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4.html","description":"In accordance with 3GPP TS 29.244, support has been added for node-level Heartbeat procedures between the Session Management Function (SMF) and User Plane Function (UPF) over N4/Sx interface. The Hea"},{"title":"How It Works","url":"r_how-it-works_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18.html","description":"The SMF and UPF sends Heartbeat messages after configurable time duration. If the peer does not respond, the message is retried for configured number of times with the retry-interval and then the con","children":[{"title":"Path Failure Detection","url":"r_path-failure-detection.html","description":"Path failure is detected in following conditions: Heartbeat failure: This condition occurs when the peer does not respond to the Heartbeat that is sent and also retires. Recovery Time stamp change in"},{"title":"Path Failure Handling","url":"r_path-failure-handling.html","description":"When the Recovery Time Stamp value received is more than the previously received value, then the peer restart is detected. If the Recovery Time Stamp value is lower than the previously received value"}]},{"title":"Configuring Heartbeat for N4/Sx Interface","url":"r_configuring-heartbeat-for-sx-interface.html","description":"This section provides information about the CLI commands available in support of this feature.","children":[{"title":"Enabling Heartbeat for Sx Interface","url":"r_enabling-heartbeat-for-sx-interface.html","description":"Use the following commands under Sx Service Configuration mode to enable Heartbeat parameters for N4/Sx interface. configure context context_name sx-service service_name [ default ] sx-protocol heart"},{"title":"Configuring Detection Policy for Path Failure","url":"r_configuring-detection-policy-for-path-failure.html","description":"Use the following commands under Sx Service Configuration mode to specify detection policy to be used for path failure. configure context context_name sx-service service_name [ default | no ] sx-prot"}]},{"title":"Monitoring and Troubleshooting","url":"r_monitoring-and-troubleshooting_2.html","description":"This section provides information about CLI commands available for monitoring and troubleshooting the feature.","children":[{"title":"Show Command(s) and/or Outputs","url":"r_show-commands-outputs.html","description":"This section provides information regarding show commands and/or their outputs in support of this feature.","children":[{"title":"show sx-service all","url":"r_show-sx-service-all_2.html","description":"The output of this show command has been enhanced to include the following fields introduced in support of this feature. SX Heartbeat Interval Retransmission Timeout Max Retransmission SX path failur"},{"title":"show sx-service statistics all","url":"r_show-sx-service-statistics-all.html","description":"The output of this show command has been enhanced to include the following fields introduced in support of this feature. Heartbeat Request Total TX Total RX Initial TX Initial RX Retrans TX Heartbeat"}]},{"title":"Disconnect Reasons","url":"r_disconnect-reasons.html","description":"The following disconnect reason has been added in support of this feature: sx-path-failure - When the Recovery timestamp changes or heartbeat failure is detected, based on the configuration, calls ar"},{"title":"SNMP Traps","url":"r_snmp-traps.html","description":"The following SNMP traps have been added in support of this feature: SxPathFailure - This trap is generated when the peer path failure is detected. SxPathFailureClear - This trap is generated when th"}]}]},{"title":"Idle Mode Buffering and Paging","url":"g_5g-upf-idle-mode-buffering-paging-support.html","description":"This chapter covers the following topics:","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24.html","description":"Summary Data Applicable Product(s) or Functional Area 5G-UPF Applicable Platform(s) VPC-SI Feature Default Setting Enabled \u2013 Always-on Related Changes in this Release Not Applicable Related Documenta"},{"title":"Revision History","url":"r_revision-history_2_3.html","description":"Revision HistoryRevision DetailsRelease First introduced. 2020.02.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12.html","description":"A Buffering Action Rule (BAR) provides instructions to control the buffering behavior of the User Plane Function (UPF). The BAR controls the buffering behavior for all Forwarding Action Rules (FARs) ","children":[{"title":"How it Works","url":"r_how-it-works_2_3_4_5_6_7_8_9.html","description":"If the User Plane Function indicates the support of the feature UL or DL Buffering Control (UDBC), the SMF provides the buffering packet count IE in a BAR. The buffering count IE is created during a "},{"title":"Provisioning of Buffering Action Rule in the UPF","url":"r_provisioning-of-buffering-action-rule-in-the-upf.html","description":"The SMF provisions multiple buffering parameters in a BAR. It is in Create BAR or Update BAR in various PFCP messages. Currently, UPF supports the following IE: The suggested buffering packet count I"}]},{"title":"Buffering Action Rule Call Flow","url":"r_buffering-action-rule-call-flow.html","description":"This section describes the provisioning of buffering action rule in the UPF call flow. Buffering Action Rule"},{"title":"Downlink Data Report for First DL Packet","url":"r_downlink-data-report-for-first-dl-packet.html","description":"When instructed to buffer and notify the SMF about the arrival of a DL packet, the UPF notifies the SMF, when it receives a first downlink packet for a given FAR. The UPF notifies the DL packet arriv"},{"title":"Paging Policy Differentiation","url":"r_paging-policy-differentiation.html","description":"The UPF supports the Paging Policy Differentiation, for each PDR and for each packet that triggers a Downlink Data Notification, the UPF function copies the value of the DSCP in TOS (IPv4) or TC (IPv","children":[{"title":"Paging Policy Indicator (PPI)","url":"r_paging-policy-indicator-.html","description":"The SMF sends the PPI value in Create QER or Update QER, if UPF needs to set Paging Policy Indicator in outgoing PDU packets.","children":[{"title":"Frame Format for the PDU Session User Plane Protocol","url":"r_frame-format-for-the-pdu-session-user-plane-protocol.html","description":"Downlink PDU Session Information (PDU Type 0) - This frame format is defined to allow the NG-RAN to receive some control information elements which are associated with the transfer of a packet over t"},{"title":"QoS Flow Identifier (QFI)","url":"r_qos-flow-identifier-.html","description":"Description: When present, the QoS Flow Identifier (QFI) parameter indicates the QoS Flow Identifier of the QoS flow to which the transferred packet belongs. Value Range: The value range is between 0"},{"title":"Paging Policy Presence","url":"r_paging-policy-presence.html","description":"Description: The Paging Policy Presence (PPP) parameter indicates the presence of the Paging Policy Indicator (PPI). Value Range: A value of 0 indicates that Paging Policy Indicator is not present an"},{"title":"Paging Policy Indicator","url":"r_paging-policy-indicator.html","description":"Description: When present, the Paging Policy Indicator (PPI) is used for paging policy differentiation (see details in 3GPP TS 23.501). This field applies to PDU sessions of IP type. Value Range: the"}]}]}]},{"title":"Indirect Forwarding Tunnel","url":"g_indirect_forwarding_tunnel.html","children":[{"title":"Revision History","url":"r_revisin_history-1_2.html","description":"Revision DetailsRelease First introduced 2021.02.0"},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17.html","description":"The UPF supports Indirect Forwarding Tunnel (IDFT) procedures for creation and deletion, which are applicable for Pure-S and Collapsed calls with dedicated bearers. This feature is applicable for IDF"},{"title":"How It Works","url":"r_how-it-works_2.html","children":[{"title":"Call Flow","url":"r_call-flow_2.html","description":"The following call flow illustrates the IDFT support with S-GW Relocation. IDFT Support with S-GW Relocation The above call flow describes the IDFT tunnels establishment and deletion with S-GW reloca"},{"title":"Supported Functionality","url":"r_supported-functionality.html","description":"The IDFT feature supports the following functionality: Create IDFT request for Collapsed, Pure-S, combination of Collapsed and Pure-S multi-PDN calls with multiple bearers. Data transfer on downlink "},{"title":"Limitations","url":"r_limitations_2_3_4_5_6_7_8.html","description":"The IDFT feature has the following limitations: Message interaction and collision during IDFT PDN establishment or deletion with any other procedure is not supported. S11/S5 and Sx Path Failure Handl"}]},{"title":"Configuring Indirect Forwarding Tunnel","url":"r_configuring-indirect-forwarding-tunnel.html","description":"This section describes the CLI commands available in support of IDFT feature.","children":[{"title":"Enabling Indirect Forwarding Tunnel Feature","url":"r_enabling-indirect-forwarding-tunnel-feature.html","description":"On SMF, use the following CLI commands to enable or disable the IDFT feature. configure context context_name sgw-service service_name [ default | no ] egtp idft-support end NOTES: idft-support: Enabl"},{"title":"Verifying the Indirect Forwarding Tunnel Feature","url":"r_verifying-indirect-forwarding-tunnel-feature.html","children":[{"title":"show sgw-service name <service_name>","url":"r_show-sgw-service-name-service_name.html","description":"On SMF, the output of this CLI command has been enhanced to display if the IDFT feature is enabled or disabled. IDFT-Feature Support for CUPS: Enabled/Disabled"}]}]},{"title":"Monitoring and Troubleshooting","url":"r_monitoring-and-troubleshooting_2_3_4_5_6_7_8_9_10.html","description":"This section provides information regarding the CLI commands available in support of monitoring and troubleshooting the feature.","children":[{"title":"Show Commands Input and/or Outputs","url":"r_show-commands-input-and-or-outputs.html","description":"This section provides information regarding show commands and their outputs in support of the feature.","children":[{"title":"show subscribers saegw-only full all","url":"r_show-sub-saegw-o-full-all.html","description":"On UPF, use this command to see the IDFT Local and Remote TEID data. The following is a sample output: Indirect Fwding : Active DL fwd local addr: 1.1.1.4 DL fwd remote addr: 1.1.1.2 DL fwd local tei"},{"title":"show subscribers user-plane-only callid <call_id> pdr all","url":"r_show-sub-user-plane-only-callid-call-id-pdr-all.html","description":"On UPF, use this command to see the PDRs created for IDFT. The following is a sample output: IDFT PDRs will have ACCESS as the source and destination interface type. +-----Source Interface: (C) - Cor"},{"title":"show subscribers user-plane-only full all","url":"r_show-sub-user-plane-only-full-all.html","description":"Data statistics on IDFT PDRs are captured in the same way as existing PDR statistics. However, it is captured with a limitation \u2013 Statistics for DL and UL IDFT will be incremented in Pkts-Down and By"}]}]}]},{"title":"LTE - Wi-Fi Seamless Handover","url":"g_lte_wifi_ho.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_2.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_2.html","description":"Applicable Product(s) or Functional Area5G-UPFApplicable Platform(s)VPC-SIFeature Default SettingEnabled - Always-onRelated Changes in this ReleaseNot ApplicableRelated DocumentationNot Applicable"},{"title":"Revision History","url":"r_revisin_history_2_1.html","description":"Revision Details Release First introduced. 2021.02.0"}]},{"title":"Feature Description","url":"r_feature_description1.html","description":"Seamless handovers between LTE and Wi-Fi (S2b), for UEs that need continuity with their ongoing data session, is supported in the 5G UPF architecture. When handover is initiated from LTE to Wi-Fi, th"},{"title":"How It Works","url":"how_it_works.html","children":[{"title":"EPC to Non-3GPP Untrusted Wi-Fi Handover Call Flow","url":"r_epc_to_non-3gpp_untrusted_wi-fi_handover_callflow.html","description":"This section describes the EPC to non-3GPP untrusted Wi-Fi handover call flow. EPC to Non-3GPP Untrusted Wi-Fi Handover Call Flow EPC to Non-3GPP Untrusted Wi-Fi Handover Call Flow DescriptionStepDes"},{"title":"Non-3GPP Untrusted Wi-Fi to EPC Handover Call Flow","url":"r_non-3gpp_untrusted_wi-fi_to_epc_handover_callflow.html","description":"This section describes the non-3GPP untrusted Wi-Fi to EPC handover call flow. Non-3GPP Untrusted Wi-Fi to EPC Handover Call Flow Non-3GPP Untrusted Wi-Fi to EPC Handover Call Flow DescriptionStepDes"},{"title":"ICSR and Session Recovery","url":"r_icsr_session_recovery.html","description":"At Session Management Function, during transition, the most recent is considered as the stable state and a full checkpoint is triggered once handover is complete from LTE to Wi-Fi (S2BGTP) or vice-ve"},{"title":"Limitations","url":"r_limitations1.html","description":"The LTE - Wi-Fi Seamless Handover feature does not support LTE to eHRPD and Wi-Fi to eHRPD handover and hand back."},{"title":"Standards Compliance","url":"r_standards_compliance.html","description":"The LTE \u2013 Wi-Fi Seamless Handover feature is compliant with the following standards: 3GPP TS 23.214 3GPP TS 29.244 3GPP TS 23.401 3GPP TS 23.402"}]}]},{"title":"Monitor Subscriber","url":"g_monitor_subscriber.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_2.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_2.html","description":"Summary Data Applicable Product (s) or Functional Area 5G-UPF Applicable Platforms VPC-SI Feature Default Setting Disabled \u2013 Configuration Required Related Changes in this Release Not Applicable Rela"},{"title":"Revision History","url":"r_revisin_history_2_3_4.html","description":"Revision history details are not provided for features introduced before release 21.24. Revision Details Release First introduced Pre 21.24"}]},{"title":"Feature Description","url":"r_feature_description.html","description":"The Monitor Subscriber (MonSub) feature enables tracing of subscriber related information which includes user and control traffic, and events such as charging and internal events that are useful for "},{"title":"How It Works","url":"r_howitworks.html","description":"The Monitor Subscriber feature is discussed in detail in the following sections:","children":[{"title":"UPF SessMgr Functionality","url":"r_up_smgr_functionality.html","description":"Following are the modification done in the UPF SessMgr to support this feature. Provide services to the CLI for enabling or disabling the MonSub tracing. Control NPUMgr to connect/start/stop/add/dele"},{"title":"Multi PDN Multi Trace","url":"r_multi_pdn_and_multi_trace.html","description":"For a multi-PDN call, when you start the MonSub with Multi-trace=OFF, then it traces the only one PDN as a part of that MonSub session. When new PDN is initiated, then existing PDN tracing stops and "},{"title":"MonSub Statistics","url":"r_monsub_stats.html","description":"A new mechanism is added to publish the statistics regarding the quality of FASTPATH PCAP capture on MonSub CLI. The new mechanism publishes the statistics whenever it receives the buffer full MEH in"},{"title":"X-Header","url":"r_xheader.html","description":"This feature supports the X-Header capture in slowpath PCAP. When UPF inserts the X-Header for Uplink packet, the UPF captures the packet at entry and exit interfaces. So, the exit packet sent to N6 "},{"title":"Configuration Procedure for Monitor Subscriber","url":"t_using-the-protocolmonitr_for_subscriber.html","description":"The protocol monitor can be used to display information for a specific subscriber session that is currently being processed. Depending on the number of protocols monitored, and the number of sessions"},{"title":"Monsub CLI Options","url":"r_monitor_subscriber_new_changed_params.html","description":"Monitor Subscriber CLI \u2013 New Options The following options with their default value are added to existing monitor subscriber command. UPF Monitor Subscriber CLI Following are the options: W - UP PCAP"},{"title":"Context, CDRMOD and Hexdump Interaction for Monitor Subscriber","url":"r_context_cdrmod_hexdump_interaction.html","description":"Hexdump module must be configured to provide operators the provision to configure Files names and Poll timers. The Hexdump module is one of the modules such as\u2014EDR, UDR and so on, that are part of th"},{"title":"PCAP File Name Convention","url":"r_filenaming_convention.html","description":"The naming conventions for PCAP files are discussed in the following sections Only monitor-subscriber-file-name and rotation options are used in naming PCAP files. Slowpath File Name Convention The s"},{"title":"PCAP File Location","url":"r_pcap_file_location.html","description":"Fastpath PCAP files are written to the /records/pcap directory in same card and CPU complex where the SMGR owns the subscriber session resides./records directory is mapped to the \u0022tmpfs\u0022 filesystem t"},{"title":"Limitations","url":"r_limitations_2_3_4_5_6_7_8_9_10_11.html","description":"Following are the Limitations: SR/ICSR is not supported for this feature. Restarting trace immediately after quitting may result in fastpath files in /records/pcap directory to be overwritten. It is "}]},{"title":"Configuring the Hexdump Module for MonSub in UPF","url":"r_configuring_hexdump_module.html","children":[{"title":"Configuring MonSub Poll Timer","url":"r_configuring_poll_timer.html","description":"Use this configuration to set the frequency of PCAP file capture check. configure context context_name hexdump-module hexdump monitor-subscriber-poll-timeout poll_timer_value end NOTES: hexdump monit"},{"title":"Configuring MonSub File Name","url":"r_configuring_file_name.html","description":"Use the following configuration to specify the file name of the PCAP file which contains IMSI, Call ID or Username. configure context context_name hexdump-module file rotation { num-records number | "}]},{"title":"Monitoring and Troubleshooting","url":"r_monitoring_and_troubleshooting.html","description":"This section provides information regarding monitoring and troubleshooting the Monitor Subscriber feature.","children":[{"title":"SNMP Traps","url":"r_snmp_trap.html","description":"The following SNMP trap(s) are added in support of the Monitor Subscriber feature: MonSubProcessInitFailure: This trap is triggered when MonSub handler process has failed for a particular process and"}]}]},{"title":"Multiple cnSGW Support","url":"g_multiple-cnsgw.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_2.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_2.html","description":"Summary Data Applicable Product (s) or Functional Area 5G-UPF Applicable Platforms VPC-SI Feature Default Setting Disabled \u2013 Configuration Required Related Changes in this Release Not Applicable Rela"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_2.html","description":"Revision Details Release First introduced. 2021.02.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29.html","description":"The Multiple SMF/cnSGW Support feature enables a single UPF to establish multiple N4/Sx interfaces with cnSGWs and their paired SMFs. Integration of multiple SMF and cnSGW combinations with a single "},{"title":"How it Works","url":"r_how-it-works_2_3.html","description":"The functionality of Multiple cnSGW feature involves: Single UPF has multiple N4/Sx interface associations with SMF/cnSGWs. There\u0027s no slicing of configuration in UPF per individual SMF. Cumulatively"},{"title":"Configuring Multiple SMF/cnSGWs","url":"r_configuring-multiple-cnsgw.html","description":"This section provides information about CLI commands that are available in support of this feature.","children":[{"title":"Configuring Multiple SMF/cnSGWs on UPF","url":"r_configuring-multiple-cnsgw-on-upf.html","description":"Use the following CLI commands to configure multiple SMF/cnSGWs on UPF by adding multiple peer node under Control Plane Group Configuration mode. configure user-plane-service service_name associate c"}]},{"title":"Monitoring and Troubleshooting","url":"r_monitoring-and-troubleshooting_2_3.html","description":"This section provides information about monitoring and troubleshooting the Multiple cnSGW feature.","children":[{"title":"Show Commands and/or Outputs","url":"r_show-commands-and-or-outputs_2.html","description":"This section describes the show commands that are available in support of this feature.","children":[{"title":"show subscribers user-plane-only full all","url":"r_show-show-subscribers-user-plane-only-full-all.html","description":"The output of this CLI command is enhanced to display the corresponding Control Plane address."},{"title":"show sx peers","url":"r_show-sx-peers.html","description":"The output of this CLI command is enhanced to display the peer ID with corresponding number of sessions."}]}]}]},{"title":"Multiple N4/Sx Interface","url":"g_multiple-cp-support-on-up.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23.html","description":"Summary Data Applicable Product (s) or Functional Area 5G-UPF Applicable Platforms VPC-SI Feature Default Setting Disabled \u2013 Configuration Required Related Changes in this Release Not Applicable Rela"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19.html","description":"Revision Details Release First introduced. 2021.01.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20.html","description":"The Multiple N4 Interface feature enables a single UPF to establish multiple N4 interfaces with as many SMFs. Integration of multiple SMFs with a single UPF results in optimal usage of resources. Arc"},{"title":"How it Works","url":"r_how-it-works_2_3_4_5_6_7_8_9_10_11_12.html","description":"The functionality of Multiple N4 Interface feature involves: Single UPF has multiple N4/Sx interface associations with each SMF. There is no slicing of configuration in UPF per individual SMF. The EC"},{"title":"Configuring Multiple N4 Interface","url":"r_configuring-multiple-cp-on-up.html","description":"This section provides information about CLI commands that are available in support of this feature.","children":[{"title":"Configuring Multiple SMF on UPF","url":"r_config-multiple-cp-on-up.html","description":"Use the following CLI commands to configure multiple SMF on UPF by adding multiple peer node under Control Plane Group Configuration mode. configure user-plane-service service_name associate control-"}]},{"title":"Monitoring and Troubleshooting","url":"r_monitoring-and-troubleshooting_2_3_4_5_6_7_8_9_10_11.html","description":"This section provides information about monitoring and troubleshooting the Multiple N4 Interface feature.","children":[{"title":"Show Commands and/or Outputs","url":"r_show-commands-and-or-outputs_2_3_4_5_6.html","description":"This section describes the show commands that are available in support of this feature.","children":[{"title":"show ip chunks","url":"r_show_ip_chunks.html","description":"The output of this CLI command is enhanced to display the IP pools pushed to the UPF from multiple SMFs in Gi context."},{"title":"show ipv6 chunks","url":"r_show-ipv6-chunks_2.html","description":"The output of this CLI command is enhanced to display the IPv6 pools pushed to the UPF from multiple SMFs in Gi context."},{"title":"show subscribers user-plane-only full all","url":"r_show-show-subscribers-user-plane-only-full-all_2.html","description":"The output of this CLI command is enhanced to display the corresponding Control Plane address."},{"title":"show sx peers","url":"r_show-sx-peers_2.html","description":"The output of this CLI command is enhanced to display the peer ID with corresponding number of sessions."},{"title":"show user-plane-service statistics peer-address <address>","url":"r_show_user-plane-service_statistics_peer-address.html","description":"The output of this CLI command is enhanced to display per peer statistics in SMF."}]}]}]},{"title":"N:M Redundancy and Redundancy Configuration Manager","url":"r_n-m_redundancy.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_2.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_2.html","description":"Summary Data Applicable Product(s) or Functional Area 5G-UPF Applicable Platform(s) VPC-SI Feature Default Setting Disabled \u2013 Configuration Required Related Changes in this Release Not Applicable Rel"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_3.html","description":"Revision HistoryRevision DetailsRelease Support has been added to defer SSH IP installation. 2021.02.2 Support has been added for configuring the RCM through Network Services Orchestrator (NSO). 2021"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11.html","description":"The Redundancy Configuration Manager (RCM) is a Cisco proprietary node/network function (NF) that provides redundancy of StarOS-based UP/UPFs. The RCM provides N:M redundancy of UP/UPFs wherein \u201CN\u201D i"}]},{"title":"N3 Transfer of PDU Session Information","url":"g_n3-transfer-of-pdu-session-information.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10.html","description":"Applicable Product(s) or Functional Area5G-UPFApplicable Platform(s) VPC-SI Feature Default SettingEnabled \u2013 Always-onRelated Changes in this ReleaseNot ApplicableRelated DocumentationNot Applicable"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17.html","description":"Revision DetailsRelease First introduced. 2020.02.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30.html","description":"The N3 transfer of PDU session information involves the inclusion of QoS Field Identifier (QFI) IE in the GTP-U extension header while performing GTP-U encapsulation toward gNodeB on the N3 interface","children":[{"title":"How it Works","url":"r_how-it-works_2_3_4_5_6_7_8_9_10_11_12_13.html","description":"This section describes the transfer of PDU session Information procedures between the gNodeB and UPF for Uplink and Downlink packets.","children":[{"title":"Transfer of PDU Session Information for Downlink Data Packets","url":"r_transfer-of-pdu-session-information-for-downlink-data-packets.html","description":"The Transfer of PDU Session Information for downlink data packets involves transfer of control information elements related to the PDU Session from UPF/NG-RAN to NG-RAN.A PDU session user plane insta"},{"title":"Transfer of PDU Session Information for Uplink Data Packets","url":"r_transfer-of-pdu-session-information-for-uplink-data-packets.html","description":"The Transfer of PDU Session Information for uplink data packets involves transfer of control information elements related to the PDU Session from NG-RAN to UPF.An UL PDU Session user plane instance t"},{"title":"PDU Session Information Frame IEs","url":"r_pdu-session-information-frame-ies.html","description":"The following table describes the Information Elements present in the PDU Session Information frame. Information ElementDescriptionPDU Type The PDU Type indicates the structure of the PDU session UP "}]},{"title":"Standards Compliance","url":"r_standards-compliance.html","description":"The feature complies with the following standard: 3GPP TS 38.415 V15.2.0 (NG-RAN; PDU Session User Plane Protocol)."},{"title":"Limitations","url":"r_limitations.html","description":"The following are the known limitations to this feature in this release: Reflective QoS Indicator (RQI) is not supported in this release."}]}]},{"title":"N4 Interface Compliance with 3GPP Specification","url":"g_upf-3gpp-dec-2018-spec-compliance-for-n4.html","description":"This chapter covers the following topics:","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22.html","description":"Summary DataApplicable Product(s) or Functional Area5G-UPFApplicable Platform(s)VPC-SIFeature Default SettingEnabled - Always-onRelated Changes in this ReleaseNot ApplicableRelated DocumentationNot A"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16.html","description":"Revision History Revision Details Release In this release, PFCP library is upgraded to support the latest version of Outer Header IE. 2020.02.5 First introduced. 2020.02.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24.html","description":"In compliance with 3GPP TS 29.244, the User Plane Function (UPF) supports the following IEs: Averaging Window Paging Policy Indicator (PPI) Outer Header Creation Outer Header Removal","children":[{"title":"Averaging Window","url":"r_averaging-window.html","description":"Averaging window IE contains the duration over which the GBR and MBR is calculated. It is sent from SMF to UPF with Create QER or Update QER parent IE, if the default pre-configured value under UPF n"},{"title":"Paging Policy Indicator","url":"r_paging-policy-indicator_2.html","description":"The SMF sends PPI value in Create QER or Update QER, if UPF requires to set Paging Policy Indicator in outgoing packets. In the case of Network Triggered Service Request and UPF buffering downlink da"},{"title":"Outer Header Creation","url":"r_outer-header.html","description":"Per 3GPP TS 29.244 v16.4.0, the Outer Header Creation Description field, when present, is encoded as specified in following table. It takes the form of a bitmask where each bit indicates the outer he"}]}]},{"title":"N4 Interface Configuration","url":"g_upf-n4-interface-configuration-forupf.html","description":"This chapter covers the following topics:","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26.html","children":[{"title":"Summary Data","url":"r_summary-data_2.html","description":"Summary DataApplicable Product(s) or Functional Area5G-UPFApplicable Platform(s) VPC-SI Feature Default SettingDisabled - Configuration RequiredRelated Changes in this ReleaseNot Applicable Related D"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10.html","description":"Revision HistoryRevision DetailsRelease New IEs are supported in UPF in compliance with 3GPP TS 29.244. 2021.01.0 First introduced.2020.02.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31.html","description":"This chapter provides the configuration information to identify a peer node to be an N4 interface, and the configuration to modify N4 parameters in an Sx-Service."},{"title":"Configuring N4 Interface","url":"r_configuration_2.html","description":"This section describes the following configurations: Identifying N4 Interface Adding N4-type and Modification of N4 Parameters in Sx Service","children":[{"title":"Identifying an N4 Interface","url":"r_identifying-n4-interface.html","description":"Use the following configuration to identify if a peer node is an N4 interface type. configure control-plane-group group_name peer-node-id [ ipv4-address ipv4_address | ipv6-address ipv6_address ] int"},{"title":"Modification of N4-type Parameters in an Sx Service","url":"r_modification-of-n4-type-parameters-in-an-sx-service.html","description":"Use the following configuration to modify N4-type parameters in an Sx Service. configure context context_name sx-service service_name n4 [ max-retransmissions max_retransmission_value | retransmissio"},{"title":"Statistics","url":"r_statistics.html","description":"This section provides information on show commands and their output available in support of this feature.","children":[{"title":"show control-plane-group","url":"r_show-control-plane-group.html","description":"The output of this command displays the following fields for this feature: Interface Type \u2013 This field indicates if the peer interface is N4. It is not displayed for non-N4 interfaces."},{"title":"show sx-service all","url":"r_show-sx-service-all.html","description":"The output of this command displays the following fields for this feature: N4 N4 Retransmission Timeout N4 Maximum Request Retransmission"},{"title":"show subscribers user-plane-only all","url":"r_show-subscribers-user-plane-only-all.html","description":"The output of this command displays the following fields for this feature: Interface N4"},{"title":"show user-plane-service statistics all","url":"r_show-user-plane-service-statistics-all.html","description":"The output of this command displays the following fields for this feature: N4 interface-type PDNs Active Setup Released"},{"title":"show subscribers user-plane-only seid number pdr all","url":"r_show-subscribers-user-plane-only-seid-number-pdr-all.html","description":"The output of this command displays the following fields for this feature: Associated-QFIs"},{"title":"show subscribers user-plane-only callid number pdr full all","url":"r_show-subscribers-user-plane-only-callid-number-pdr-full-all.html","description":"The output of this command displays the following fields for this feature: QoS Flow Identifier"}]}]}]},{"title":"N4 Session Management, Node Level, and Reporting Procedures","url":"g_upf-n4-sm-node-level-reporting-procedure.html","description":"This chapter covers the following topics:","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_2.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_2.html","description":"Summary DataApplicable Product(s) or Functional Area5G-UPFApplicable Platform(s) VPC-SI Feature Default SettingEnabled \u2013 Always-onRelated Changes in this ReleaseNot ApplicableRelated DocumentationNot"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_3.html","description":"Revision DetailsRelease show user-plane-service statistics all command has been enhanced to display PFCP IEs received in Sx Establishment or Modification messages over N4 interface. 2021.02.2 PDN Upd"}]},{"title":"Feature Description","url":"r_feature-description_2_3.html","children":[{"title":"N4 Session Management, Node Level, and Reporting Procedures","url":"r_n4-session-management-node-level-and-reporting-procedures.html","children":[{"title":"N4 Node-level Procedures","url":"r_n4-node-level-procedures.html","description":"The N4 Node-level procedures in User Plane Function (UPF) involves the following processes: N4 Association Set up Procedure \u2013 The procedure used for setting up an N4 association between the Session M"},{"title":"N4 Session Management","url":"r_n4-session-management.html","description":"N4 session management procedures are used to control the functionality of the UPF. SMF can create, update, and remove the N4 session context in the UPF, which is described in 3GPP TS 23.501, clause 5"},{"title":"N4 Session/Node-level Reporting Procedures","url":"r_n4-sessionnode-level-reporting-procedures.html","description":"Whenever the data path between UPF and gNB is down, it is detected and reported to the SMF for corrective actions. The mechanism to detect and report it to SMF is clearly defined in 3GPP specificatio"}]},{"title":"Relationships","url":"r_relationships.html","description":"The following features support the N4 session management, node level, and reporting procedures.","children":[{"title":"End Marker Support","url":"r_end-marker-support.html","description":"The UPF sends the End Marker packets to support the reordering function in the target Radio Access Network (RAN). The UPF constructs the End Marker packets that are required for the reordering functi","children":[{"title":"Constructing the End Marker Packets through UPF","url":"r_constructing-the-end-marker-packets-through-upf.html","description":"At the time of the handover procedure, the PDU session for the UE \u2013 which comprises of an UPF node \u2013 acts as a PDU session anchor and an intermediate UPF terminating N3 reference point. The SMF sends"}]},{"title":"UEs IPv4, IPv6, and IPv4v6 Support","url":"r_ues-ipv4-ipv6-and-ipv4v6-support.html","description":"The UPF supports UE\u0027s IPv4, IPv6, and IPv4v6 sessions. The N4 Session Establishment and Modification procedure for IPv6 sessions is the same as for IPv4 sessions. After the session is established, th"}]}]},{"title":"How it Works","url":"r_how-it-works_2_3_4_5_6_7.html","description":"This section describes the N4 node-level, session management, and reporting procedures and associated call flows.","children":[{"title":"N4 Node-level Procedure Call Flows","url":"r_n4-node-level-procedure-call-flows.html","children":[{"title":"N4 Association Setup Procedure Call Flow","url":"r_n4-association-setup-procedure-call-flow.html","description":"The N4 Association Setup procedure creates the N4 association between the SMF and the UPF, which enables the SMF to use the UPF resources to establish N4 sessions. The N4 association setup procedure "},{"title":"N4 Association Update Procedure Call Flow","url":"r_n4-association-update-procedure-call-flow.html","description":"The N4 Association Update procedure modifies an existing N4 association between the SMF and the UPF. It can be initiated either by the UPF or by the SMF to update the supported features or available "},{"title":"N4 Association Release Procedure Call Flow","url":"r_n4-association-release-procedure-call-flow.html","description":"The N4 Association Release procedure terminates the N4 association between the SMF and the UPF. It can be initiated either by the SMF or by the UPF. The UPF requests the SMF to perform the release of"},{"title":"N4 Heartbeat Procedure","url":"r_n4-heartbeat-procedure-call-flow.html","description":"The PFCP Heartbeat procedure includes the following messages: Heartbeat Request Heartbeat Response"}]},{"title":"N4 Session Management Procedures Call Flows","url":"r_n4-session-management-procedures-call-flows.html","description":"The following section describes the N4 Session Management procedures.","children":[{"title":"N4 Session Establishment Call Flow","url":"r_n4-session-establishment-call-flow.html","description":"N4 Session Establishment is used to create the initial N4 session context for a PDU session at the UPF. SMF assigns a new N4 session ID and provides it to the UPF. The N4 session ID is stored by both"},{"title":"N4 Session Modification Call Flow","url":"r_n4-session-modification-call-flow.html","description":"N4 Session Modification is used to update the N4 session context of an existing PDU session at the UPF, which is executed between SMF and UPF whenever PDU session-related parameters have to be modifi"},{"title":"N4 Session Delete Call Flow","url":"r_n4-session-delete-call-flow.html","description":"N4 Session Delete is used to remove the N4 session context of an existing PDU session at the UPF. StepDescription1SMF receives the trigger to remove the N4 session context for the PDU session.2SMF se"}]},{"title":"N4 Session/Node Level Reporting Procedure Call Flows","url":"r_n4-sessionnode-level-reporting-procedure-call-flows.html","children":[{"title":"Session Level Reporting Due to the GTP-u Error Indication Call Flow","url":"r_session-level-reporting-due-to-the-gtp-u-error-indication-call-flow.html","description":"When the UPF receives the GTP-u Error Indication from gNB, it detects the PFCP session and sends the PFCP Session Report request to the SMF handling that session along with the Error Indication Repor"},{"title":"Node-level Reporting Procedure due to GTP-u Path Failure Call Flow","url":"r_node-level-reporting-procedure-due-to-gtp-u-path-failure-call-flow.html","description":"When the UPF enables GTP-u Echo procedure for GTP-u endpoints and identifies a data path failure because of no response, it sends a PFCP Node Report Request to the SMF. The Node Report Type in the PF"}]},{"title":"PDN Update Procedure - eNodeB F-TEIDu","url":"r_feature_description_2.html","description":"Feature Description For S-GW or SAEGW, a procedure to initiate an N4/Sx Modification Request is implemented for: eNodeB F-TEIDu update Release Access Bearer (RAB) Request for an eNodeB release How it"},{"title":"UEs IPv4, IPv6, and IPv4v6 Support Call Flows","url":"r_ues-ipv4-ipv6-and-ipv4v6-support-call-flows.html","children":[{"title":"N4 Session Establishment and Modification Procedure for IPv6 Call Flow","url":"r_n4-session-establishment-and-modification-procedure-for-ipv6-call-flow.html","description":"The following call flow provides a high-level description of the N4 session establishment and modification procedure for IPv6. StepDescription1The SMF receives the trigger to establish a new PDU sess"},{"title":"N4 Session Establishment and Modification Procedure for IPv4v6 Call Flow","url":"r_n4-session-establishment-and-modification-procedure-for-ipv4v6-call-flow.html","description":"The following call flow provides a high-level description of the N4 session establishment and modification procedure for IPv4v6. The IPv4v6 session establishment and modification procedure are simila"}]}]},{"title":"Configuring the N4 Session/Node Level Reporting Procedures","url":"r_configuring-the-n4-sessionnode-level-reporting-procedures.html","description":"This section describes how to configure the N4 Session/Node Level Reporting procedures.","children":[{"title":"Enabling the GTP-u Echo Request Procedure","url":"r_enabling-the-gtp-u-echo-request-procedure.html","description":"The existing CLI (Command Line Interface) in gtpu-service is used to enable the GTP-u Echo request procedure. configure gtpu-service service_name echo-interval seconds echo-retransmission-timeout sec"},{"title":"Verifying the N4 Session/Node Level Reporting Procedure Configuration","url":"r_verifying-the-n4-sessionnode-level-reporting-procedure-configuration.html","description":"This section describes how to verify the N4 Session/Node Level Reporting Procedure configuration."},{"title":"N4 Session Node Level Reporting Procedure OA and M Support","url":"r_n4-sessionnode-level-reporting-procedure-support1.html","description":"Use the show gtpu statistics command to display the GTP-u statistics for Error Indication and GTP-u Echo Request and Response. The following is a sample output from the show gtpu statistics command.s"},{"title":"SNMP Traps","url":"r_snmp-traps_2.html","description":"The following traps are available to track status and conditions GTP-u path failure. EGTPUPathFailure: This trap is generated when no response is received for GTP-U ECHO requests and data path failur"}]}]},{"title":"New Standard QCI Support","url":"g_new_standard_qci_support.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32_33_34_35_2.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_2.html","description":"Summary Data Applicable Product(s) or Functional Area 5G-UPF Applicable Platform(s) VPC-SI Feature Default Setting Enabled \u2013 Always-on Related Changes in this Release Not Applicable Related Documenta"},{"title":"Revision History","url":"r_revisin_history_2_3_4_5_6_2.html","description":"Revision Details Release First introduced. 2021.02.0"}]},{"title":"Feature Description","url":"r_feature_description_2_3_4.html","description":"The 5G-UPF supports new standard QoS Class Index (QCIs) based on 3GPP TS 23.203 Release 12, for Mission Critical and Push-to-Talk (MC/PTT) applications. As part of this feature, the following functio","children":[{"title":"Limitations","url":"r_limitations_2_3_4_5.html","description":"In this release, predefined rules with the new standard QCIs aren\u0027t supported."}]},{"title":"Configurations","url":"r_configurations.html","description":"There is no configuration (or License) required at SMF or UPF to enable new standard QCIs. At SMF, the following configuration is required to enable Extended QoS Bit Rates. configure profile dnn name"}]},{"title":"UPF Ingress Interface","url":"g_upf-ingress-interface-type-support.html","description":"This chapter covers the following topics:","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3.html","description":"Summary Data Applicable Product(s) or Functional Area 5G-UPF Applicable Platform(s) VPC-SI Feature Default Setting Disabled \u2013 Configuration Required Related Changes in this Release Not Applicable Rel"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6.html","description":"Revision History Revision Details Release First Introduced. 2020.02.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6.html","description":"This release supports the upf-ingress interface, which the UPF requires for user plane service to start. The user plane service must be associated with GTP-U service. This can be achieved using the a"},{"title":"Configuring UPF Ingress Interface Type Support","url":"r_configuring-upf-ingress-interface-type.html","description":"To associate the GTPU service with the User Plane Service, use the following configuration: configure context context_name user-plane-service service_name [ no ] associate gtpu-service gtpu_service_n"},{"title":"Verifying the UPF Ingress Interface Type Feature Configuration","url":"r_verifying-upf-ingress-interface-type-config.html","description":"Run the show user-plane-service all command to view the output. [local]qvpc-si# show user-plane-service all Service name : user-plane-service Service-Id : 4 Context : ingress Status : STARTED UPF Ing"}]},{"title":"UPF Local Configuration","url":"g_upf-local-configuration-support.html","description":"This chapter covers the following topics:","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5.html","description":"Summary Data Applicable Product(s) or Functional Area 5G-UPF Applicable Platform(s) VPC-SI Feature Default Setting Disabled \u2013 Configuration Required Related Changes in this Release Not Applicable Rel"},{"title":"Revision History","url":"r_revision-history_2_3_4_5.html","description":"Revision History Revision Details Release First Introduced. 2020.02.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15.html","description":"The support for processing static and predefined rules in Control and User Plane Separation of EPC nodes (CUPS) architecture is dependent on the ruledef, rulebase, and charging action. For processing","children":[{"title":"How it Works","url":"r_how-it-works_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19.html","description":"The Access Control System (ACS) command line interface (CLI) is configured on the user-plane and the CLI module sends it to the ACS Controller (ACSCtrl). The ACSCtrl verifies the CLI and sends it to "}]},{"title":"Configuring the Local Configuration Support for UPF","url":"r_configuring-the-local-configuration-support-for-upf.html","description":"Use the following CLI commands to configure the User Plane Function (UPF) locally. configure require upf end"}]},{"title":"UPF Reporting of Load Control Over N4 Interface","url":"g_upf-reporting-of-load-control-over-n4-interface.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11.html","description":"Applicable Product(s) or Functional AreaUPFApplicable Platform(s)VPC-SIFeature Default SettingDisabled \u2013 Configuration RequiredRelated Changes in this ReleaseNot ApplicableRelated DocumentationNot Ap"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11.html","description":"Revision DetailsReleaseFirst introduced.2020.02.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18.html","description":"Load control enables the UPF to send its load information to the SMF in order to balance PFCP session load across the UPF according to their effective load. The load information reflects the operatin","children":[{"title":"Supported IE and Messages","url":"r_supported-ie-and-messages.html","description":"To report Load Control Information (LCI) to the SMF, 3GPP specification has defined the following IEs: Load Control Information IE \u2013 The load control Information IE is as follows: It contains the seq"},{"title":"Reporting Load Information to SMF","url":"r_reporting-load-information-to-smf.html","description":"The UPF sends its load control information to reflect the operating status of its resources at the node level. It allows the SMF to use this information to augment the UPF selection procedures. The l"}]},{"title":"Configuring the Max Sessions","url":"r_configuring-the-max-sessions.html","description":"Based on various deployment scenarios, if you do not want to load UPF to its maximum capacity in terms of the count of sessions, especially, given that in 5G a single user-session can go up to 5 Gbps","children":[{"title":"Show Command Support","url":"r_show-command-support.html","description":"The output of the show command to display the User Plane Service includes the value of configured max sessions. show user-plane-service all Service name : user-plane-service Service-Id : 4 Context : "}]}]},{"title":"Session Recovery","url":"g_session-recovery.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27.html","description":"Applicable Product(s) or Functional Area5G-UPFApplicable Platform(s)VPC-SIFeature Default SettingDisabled \u2013 License RequiredRelated Changes in this ReleaseNot ApplicableRelated DocumentationNot Appli"},{"title":"Revision History","url":"r_revision-history_2.html","description":"Revision DetailsReleaseFirst introduced.2020.02.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21.html","description":"With robust hardware failover and redundancy protection, any hardware or software failures on the system can quickly be corrected. However, software failures can occur for numerous reasons, often wit"},{"title":"How it Works","url":"r_how-session-recoveryworks.html","description":"This section provides an overview of how this feature is implemented and the recovery process. The Session Recovery feature provides seamless failover and reconstruction of subscriber session informa"},{"title":"Configuring the System to Support Session Recovery","url":"r_configuring-thesystem-to-support-session-recovery.html","description":"The following procedures allow you to configure the session recovery feature for either an operational system that is currently in-service (able to accept incoming calls) or a system that is out-of-s","children":[{"title":"Enabling Session Recovery","url":"r_enabling-sessionrecovery.html","description":"As noted earlier, session recovery can be enabled on a system that is out-of-service (OOS) and does not yet have any contexts configured, or on an in-service system that is currently capable of proce","children":[{"title":"Enabling Session Recovery on an Out-of-Service System","url":"t_enabling-sessionrecovery-on-an-outofservice-system.html","description":"The following procedure is for a system that does not have any contexts configured. To enable the session recovery feature on an out-of-service system, follow the procedure below. This procedure assu"},{"title":"Enabling Session Recovery on an In-Service System","url":"t_enabling-sessionrecovery-on-an-inservice-system.html","description":"When enabling session recovery on a system that already has a saved configuration, the session recovery commands are automatically placed before any service configuration commands in the configuratio"}]},{"title":"Disabling the Session Recovery Feature","url":"r_disabling-the-sessionrecovery-feature.html","description":"To disable the session recovery feature on a system, enter the no require session recovery command from the Global Configuration mode prompt.If this command is issued on an in-service system, then th"},{"title":"Viewing Session Recovery Status","url":"r_viewing-sessionrecovery-status.html","description":"To determine if the system is capable of performing session recovery, when enabled, enter the show session recovery status verbose command from the Exec mode prompt. The output of this command should"},{"title":"Viewing Recreated Session Information","url":"r_viewing-recoveredsession-information.html","description":"To view session state information and any session recreation status, enter the following command: show subscriber debug-info callid id The following example shows the output of this command both befo"}]}]},{"title":"Session Report Rejection Procedure","url":"g_session-report-error-handling.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_2.html","children":[{"title":"Summary Data","url":"r_feature-summary_2.html","description":"Applicable Product(s) or Functional Area 5G-UPF Applicable Platform(s) VPC-SI Feature Default Setting Enabled \u2013 Always-on Related Changes in this Release Not Applicable Related Documentation UCC 5G S"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_2.html","description":"Revision Details Release First introduced. 2021.02.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22.html","description":"The SMF rejects the UPF-originated Session Report Request with a specific cause code during any mismatch in the charging configuration of SMF and UPF. For any session report rejection by the SMF, the","children":[{"title":"Relationships to Other Features","url":"r_relationships-to-other-features.html","description":"This feature involves implementing some behavioral changes to the SMF and the UPF. The new CLI configuration in SMF aids in controlling this behavior. For details on the SMF behavioral changes, see t"},{"title":"Call Flow","url":"r_call-flow.html","description":"The following figure explains the flow of Session Report rejection prcedure. Session Report Rejection Procedure Call Flow Step Description 1 UPF sends Session Report message to SMF. (SX_SESSION_REPOR"}]},{"title":"OAM Support","url":"r_oam-support.html","description":"This section describes operations, administration, and maintenance information for this feature.","children":[{"title":"Show Command(s) and/or Output(s)","url":"r_show-commands-and-or-outputs_2_3_4_5.html","description":"show user-plane-service statistics all The counter, \u0022Skipped Local Purge\u0022, is added to the show user-plane-service statistics all CLI command under the section \u201CPDNs Released By Reason\u201D. Skipped Loca"}]}]},{"title":"Smart Licensing","url":"g_smart-licensing.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26.html","description":"Summary Data Applicable Product (s) or Functional Area 5G-UPF Applicable Platforms VPC-SI Feature Default Setting Disabled \u2013 Configuration Required Related Changes in this Release Not Applicable Rela"},{"title":"Revision History","url":"g_summary-revision-history.html","description":"Revision Details Release First introduced. 2021.01.0"}]},{"title":"Overview","url":"r_overview.html","description":"Ultra Cloud Core 5G User Plane Function (UPF) supports Smart Licensing. Smart Licensing is a cloud-based approach to licensing that simplifies the purchase, deployment, and management of Cisco softwa","children":[{"title":"Cisco Smart Software Manager","url":"r_ciscosmartsoftwaremanager.html","description":"Cisco Smart Software Manager (CSSM) enables the management of software licenses and Smart Account from a single portal. The interface allows you to activate your product, manage entitlements, and ren"},{"title":"Smart Accounts/Virtual Accounts","url":"r_smartaccountsvirtualaccounts.html","description":"A Smart Account provides a single location for all Smart-enabled products and entitlements. It helps speed procurement, deployment, and maintenance of Cisco Software. When creating a Smart Account, y"},{"title":"Smart Licensing Mode","url":"r_smart-licensing-mode.html","description":"The Smart Licensing Mode is categorized as follows: Reporting Licenses (Parent Licenses): The Parent Licenses are reported to backend license server (CSSM) and accounted for usage of licenses. For ea"},{"title":"Request a Cisco Smart Account","url":"t_requestsmartaccount.html","description":"A Cisco Smart Account is an account where all products enabled for Smart Licensing are deposited. A Cisco Smart Account allows you to manage and activate your licenses to devices, monitor license use"},{"title":"Software Tags and Entitlement Tags","url":"r_softwaretags.html","description":"Tags for the following software and entitlements have been created to identify, report, and enforce licenses. Software Tags Software tags uniquely identify each licenseable software product or produc"}]},{"title":"Configuring Smart Licensing","url":"r_configsmartlicensing.html","description":"Before you begin, ensure you have: Created a Smart Licensing account on https://software.cisco.com. Registered your products on https://software.cisco.com using the Product Instance Registration toke"},{"title":"Monitoring and Troubleshooting Smart Licensing","url":"r_monitoring_troubleshooting.html","description":"Enter the following Exec mode command to verify the Smart Licensing configuration: show configuration | grep license The following Exec mode commands display information about Smart Licensing: show l"}]},{"title":"Virtual Routing and Forwarding","url":"g_virtual-routing-and-forwarding.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32_33_34_35.html","description":"Summary DataApplicable Product(s) or Functional Area5G-UPFApplicable Platform(s) VPC-SI Feature Default SettingDisabled - Configuration RequiredRelated Changes in this ReleaseNot Applicable Related D"},{"title":"Revision History","url":"r_revision-history_2_3_4.html","description":"Revision HistoryRevision DetailsRelease Support is added for the following functionality: Overlapping IP Pools Removal of mandatory VRF ordering between SMF and UPF. 2021.01.0 First introduced.2020.0"}]},{"title":"Feature Description","url":"r_feature-description.html","description":"Virtual Routing and Forwarding (VRF) is a technology that allows multiple instances of a routing table to co-exist within the same router at the same time. As the routing instances are independent, t","children":[{"title":"Overlapping IP Pool","url":"r_overlapping-ip-pools.html","description":"Overlapping pools share and use an IP address range. Overlapping pools can either be of type STATIC or PRIVATE. No public pools can be configured as overlapping pools. Each overlapping pool is part o"},{"title":"VRF Name as Identifier","url":"r_vrf-name-as-identifier.html","description":"Prior to this feature, the communication between SMF and UPF, related to VRF, was done through vrf-id. This required the operator to have all the VRFs configured in both SMF and UPF, and also in the "},{"title":"Limitations and Restrictions","url":"r_limitations_2_3_4_5_6_7_8_9_10_11_12_13.html","description":"The following are the known limitations/restrictions of the feature in UPF: VRF limit per UPF is 205. Only VRF-based overlapping pools are supported in UPF. Other flavors of overlapping pools, like N"}]},{"title":"Configuring VRF","url":"r_configuring-vrf.html","description":"Follow these steps to implement VRF support in UPF. At SMF: Create APN/DNN profile. Create overlapping IP pools and associate the respective APN/DNN and VRF at context-level. Associate APN/DNN to UPF"},{"title":"Monitoring and Troubleshooting","url":"r_monitoring-and-troubleshooting_2_3_4_5_6.html","description":"This section provides information regarding the CLI commands available for monitoring and troubleshooting the feature.","children":[{"title":"Show Commands and/or Outputs","url":"r_show-commands-and-or-outputs_2_3_4.html","description":"This section provides information regarding show commands and their outputs in support of this feature.","children":[{"title":"show ip chunks","url":"r_show-ip-chunks.html","description":"The output of this CLI command displays all the chunks in that context. With Overlapping IP Pools functionality, VRF option is introduced in the output of show ip chunks vrf vrf_name CLI command that"},{"title":"show ipv6 chunks","url":"r_show-ipv6-chunks.html","description":"The output of this CLI command displays all the chunks in that context. With Overlapping IP Pools functionality, VRF option is introduced in the output of show ipv6 chunks vrf vrf_name CLI command th"}]}]}]},{"title":"Voice over New Radio","url":"g_5g-upf-support-for-vonr-mo-mt-call-flow.html","description":"This chapter covers the following topics:","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21.html","description":"Summary Data Applicable Product(s) or Functional Area 5G-UPF Applicable Platform(s) VPC-SI Feature Default Setting Enabled \u2013 Always-on Related Changes in this Release Not Applicable Related Documenta"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26.html","description":"Revision HistoryRevision DetailsRelease First Introduced. 2020.02.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14.html","description":"The UPF supports Voice over New Radio (VoNR) with the existing Session Establishment and Modification procedures. In these procedures, the SMF creates the PDR for 5QI=5 Non-GBR flow for IMS signaling","children":[{"title":"How it Works","url":"r_how-it-works_2_3_4.html","description":"The following are the steps in the call flow in which the PDRs are created with 5QI value 5 for IMS signaling and 5QI value 1 or Voice Traffic.","children":[{"title":"VoNR Call Flow for UPF","url":"r_vonr-call-flow-for-upf.html","description":"This section describes the steps for VoNR session and respective PDR Creation on UPF.VoNR Call Flow VoNR Call FlowStepDescription 1 UE1 and UE2 are registered on 5G network. They establish the IMS PD"}]}]}]}]},{"title":"Troubleshooting Information","url":"g_part4-troubleshooting.html","children":[{"title":"UPF Troubleshooting Information","url":"g_troubleshooting.html","description":"This chapter covers the following topics related to monitoring and troubleshooting the UPF features:","children":[{"title":"Debug Logging","url":"r_debug-logging.html","description":"The debug logging CLIs must be enabled with the help of System Administrator. Enabling debug logging CLIs can be resource intensive. Use the following debug CLIs as required: logg filter active facil"},{"title":"Monitoring CLI","url":"r_monitoring-cli.html","description":"Subscriber Level Message Use the mon sub callid CLI command for subscriber level message. Resource Tracking Use the show task resources facility sessmgr all CLI command to track the CPU/Memory for PR"},{"title":"Monitoring Protocol","url":"r_monitor-protocol.html","description":"When using the monitor protocol command, enable option 49 for PFCP, and option 26 for GTP-U."},{"title":"RAT Type-based Statistics","url":"r_rat-type-based-statistics.html","description":"The RAT Type-based Statistics feature equip users to view data statistics segregated by RAT Type in UPF. RAT Type-based data statistics in UPF maintains separate buckets. These buckets are created at"},{"title":"Subscriber Level CLI","url":"r_subscriber-level-cli.html","description":"Use the following subscriber level CLIs as required: show subscribers user-plane-only full all show subscribers user-plane-only { seid seid_value | callid callid_value } pdr all show subscribers user"},{"title":"VPP Statistics","url":"r_vpp-statistics.html","description":"To determine if the flows are offloaded to VPP, check for Fastpath statistics in the output of the following CLI commands: show user-plane-service statistics all show user-plane-service statistics an"},{"title":"SNMP Support","url":"r_snmp-support.html","description":"The system uses the Simple Network Management Protocol (SNMP) to send traps or events to the EMS server or an alarm server on the network. You must configure SNMP settings to communicate with those d"},{"title":"Troubleshooting UPF Features","url":"r_troubleshooting.html","description":"N4 or Datapath The following CLI commands are available for troubleshooting N4 or datapath related issues: show gtpu statistics show user-plane-service { all | bandwidth-policy | charging-action | ed"}]}]},{"title":"UPF Sample Basic Configuration","url":"g_part5-sample-config.html","children":[{"title":"Sample UPF Configuration","url":"g_sample-config.html","children":[{"title":"Sample Configuration","url":"r_sample-config.html","description":"The following is only a sample configuration file provided solely for your reference. You must create and modify your own configuration file according to the specific needs of your deployment. ----- "}]}]}]